commit ea2acaca42e96517b273409595db09ce21b6f684
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 21 02:49:19 2025 +0200

    DIA_plugins: avoid crash when number of plugins exceeds capacity of diaElemFrame, improve debug messages

commit 1fbcf549f2dc41295421929914aab4b3585bc2bc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 21 02:38:02 2025 +0200

    Qt/factory/frame: fix bounds check
    
    We were crashing one item short of the full capacity.

commit 97b093cc0deb325044941a9a07744fc3b5e1688a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 21 01:07:24 2025 +0200

    aom: re-enable build of AV1 decoder plugin, just not for VC++ for now

commit fc61cec24e71e1389bcb5d8815f827e8af402f7c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu May 15 00:38:42 2025 +0200

    appImage: fix some libs missing, remove redundant function from Debian Bookworm script

commit 8a1102b6a6d56878118f93ffc0954d3b9c74aad3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu May 15 00:37:53 2025 +0200

    appImage: fix build on Debian Bookworm when Qt5 is installed

commit 34667ad7467e34f25e5707f01813b36c29063189
Author: mean <fixounet@free.fr>
Date:   Fri May 9 15:05:29 2025 +0200

    sonoma bootstrap for newer bot

commit b3bfdd35456936ccc057c33cf08db95f49fb94de
Author: mean <fixounet@free.fr>
Date:   Fri Apr 18 06:18:34 2025 +0200

    Revert "avidemux_plugins/cmake: avoid try_compile with MSVC to get vpx, aom and fdk_aac plugins built, unify indentation"
    
    This reverts commit 0f5afee83c8c046cdc043d04700cf44cf5a3292d.

commit 89678d1c065ffcfadf0adcb59a32c3b661d16ca0
Author: mean <fixounet@free.fr>
Date:   Thu Apr 17 21:22:19 2025 +0200

    small tweak to take into account when pkg-config pass the args through xxx_ldflags rather than xxx_libs

commit 0f5afee83c8c046cdc043d04700cf44cf5a3292d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Apr 15 23:19:06 2025 +0200

    avidemux_plugins/cmake: avoid try_compile with MSVC to get vpx, aom and fdk_aac plugins built, unify indentation

commit 8773f70bfd1c54075208d70164b81cad882baabc
Author: mean <fixounet@free.fr>
Date:   Sun Apr 13 11:52:29 2025 +0200

    ffmpeg: switch to j4

commit 209ef3c8d5f3798d5462406091795e88909666ea
Author: mean <fixounet@free.fr>
Date:   Sun Apr 13 11:52:13 2025 +0200

    Vs: enable & fix opengl

commit fc9449bb88da3ef3823c066d41a967309a52cec4
Author: mean <fixounet@free.fr>
Date:   Sat Apr 12 12:43:01 2025 +0200

    VS:build ffmpeg with ccache if using vcpkg

commit d8d4d9b44877597d41b378d23ee044ad391e1e19
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Apr 7 23:11:59 2025 +0200

    Q_gui2: protect window icon code from clang-format

commit 278617624e729198fe3ee94ff585a7cc2ce2188d
Merge: 0d195811f 70382e3ca
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Apr 7 22:52:48 2025 +0200

    Merge pull request #545 from szlldm/appicon
    
    [Q_gui2] fix application icon regression

commit 70382e3cadc095793020d66ef940825a4bc5588e
Author: adam <szullo.adam@gmail.com>
Date:   Mon Apr 7 22:22:56 2025 +0200

    [Q_gui2] fix application icon regression

commit 0d195811f816e225e5fd6b1a8842a3c4e0a0437c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Mar 31 00:13:36 2025 +0200

    demuxers/MpegTS: calculate first frame DTS based on minimum PTS when unset in the stream

commit ef64be5a702cc96b1694431ab38ff7565462c506
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 26 22:32:43 2025 +0100

    audioFilterConfigure: safeguard against crash from bogus tempo ratio hint on opening audio filters config dialog
    
    The assumption that the ratio between video durations at the start and at
    the end of filter chain may be used to preset audio stretcher on opening
    audio filters config dialog is valid for the single scenario of changeFps
    video filter being applied to a video with an internal audio track as the
    only video filter modifying duration.
    
    With stillimage video filter the calculated tempo ratio will be bogus and
    easily vastly out of range.
    
    This patch is a stop-gap measure to avoid loss of functionality.

commit 2a4a09714f8f0281ad9e4637a313cfcf4db9fbd8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Mar 25 23:16:39 2025 +0100

    macOS: tentatively fix application icon and fonts.conf missing in app bundle generated by Sonoma bootstrap script

commit 1eedd4b64565a79a7dd471e05a0f9bce4865e8b9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 23 15:47:00 2025 +0100

    mxe: add option to use a last known good revision of MXE, remove undocumented short options, update documentation

commit 7cf15b3c2d4c2840adf79b17d3ac0db8217ba9b1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 22 08:42:45 2025 +0100

    appImage: integrate desktop file creation into deployment script for Debian Bookworm
    
    Icon doesn't work unless already present in host.

commit 9aa5b3ef701d67c048fdbbf78478bf365c3b4db6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 22 02:06:46 2025 +0100

    cmake: fix dependencies for CPack-generated Debian packages, fix starter and application icon not packaged

commit 00c174c1e344a3955c2c43dacb4ce41456681981
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 22 01:50:26 2025 +0100

    appImage: update Debian Bookworm build env setup and appImage related scripts, switch to Qt6

commit b0f9b425ff781b4eadf1f35964fb20c9447fc0a6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 22 01:46:17 2025 +0100

    core/folder_linux: determine path to translations relative to executable, not to libraries

commit 563f8eedb895668f63facea7546f11a13b447bb3
Merge: d97cbda93 6246135f9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 22 01:24:08 2025 +0100

    Merge pull request #542 from marillat/patch-1
    
    Fix install path for Debian

commit d97cbda9314be0d2847807b300010154a3e4f1e5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 22 01:10:37 2025 +0100

    [xdg_data] Fix component, fill in Qt version at build time, set StartupWMClass based on patch by silentJET85

commit 6246135f97494323a070d6aa80c4e67f7738b850
Author: dmo <marillat@users.noreply.github.com>
Date:   Sun Mar 16 18:37:50 2025 +0100

    Fix install path for Debian

commit 4b5c2a3d781dc596c8a6e564adfe3b314f6c1fec
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 16 14:54:25 2025 +0100

    mxe-setup: install nsis package by default

commit 7fea4c667b73596377d431eb7d53e4c6927f7ece
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 16 01:16:42 2025 +0100

    demuxers/MpegPS: safeguard against matching frame number to unsigned integer wrapping around, invalidate last frame on seek failure

commit aeefaec724ab41b3e7380f53ab7dfe3716373e63
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 15 23:58:04 2025 +0100

    qt4: fix release status and git revision propagation

commit 340b01da8d079efe32843bd7950ca855672ab585
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 15 23:51:58 2025 +0100

    main, cli, qt4: beautify prolog, include FFmpeg version

commit 61009a382f3caee8d311e4ab143fe7653f367348
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 15 22:24:15 2025 +0100

    demuxers/MpegTS: fix invalid data returned in the first GOP due to skipped seek, improve code legibility

commit 023d8669310176cd4f56d20e743f375a02ad78e6
Merge: f5f372141 8c5701c72
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Mar 11 21:54:10 2025 +0100

    Merge pull request #541 from szlldm/sdlvfix
    
    GUI_sdlRender: fix build with SDL2 < 2.0.22

commit f5f3721416c55b008e3db394b8386f001ca6610f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 8 00:39:44 2025 +0100

    muxerRaw: add options to output a file per frame, to override extension

commit 8c5701c721ca29a0ff55e19f42831a8397030869
Author: adam <szullo.adam@gmail.com>
Date:   Fri Mar 7 22:06:54 2025 +0100

    [GUI_sdlRender] fix version dependency

commit 46751f9333233f9919a1a34940743c71a2d5ee5d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Mar 7 13:07:18 2025 +0100

    jpeg: Set qmin and qmax in AVCodecContext, extend quantizer range to allow higher quality

commit 71f5a156b89b657ac13ce8af074abd009b486d4d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Mar 6 00:43:02 2025 +0100

    T_preview: fix includes

commit 7eb43e8f15ac3be41c1e579be12bdb9f87fc1ebe
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 5 15:56:19 2025 +0100

    T_preview: fix build with Qt6 < 6.5.0
    
    This leaves the case of Qt6 < 6.5.0 on Wayland completely in the dust.

commit de276e8f3d2065a679769318399800698cbc7715
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 2 00:41:38 2025 +0100

    ADM_qtx: fix build with Qt6 < 6.5.0, use platform plugin name to tell Wayland from X11 then

commit e5ba001b3f1068d765d74c3e69a01ed6b0be9360
Merge: e4dc1253e 229ce395c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 1 23:54:41 2025 +0100

    Merge pull request #539 from szlldm/readme6
    
    [README] update readme, and template scripts

commit e4dc1253ec30e0ab6c6a2435948bc89c80d2f5d2
Merge: eb1b6bef3 ba1e09fed
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 1 23:50:13 2025 +0100

    Merge branch 'wayland-merge-prepare'

commit ba1e09fed5a24636f3976fb27185510f1b2d56cf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 1 23:08:23 2025 +0100

    main: unbreak DXVA2 and NVDEC on Windows

commit fa76c463be6f171eec3982a1e42fbca604a1a7a0
Merge: e188cf6fb eb1b6bef3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 1 00:07:54 2025 +0100

    Merge branch 'master' into wayland-merge-prepare

commit eb1b6bef37fa8a2632a68876f4201e309b11472e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 28 23:58:58 2025 +0100

    [winInstaller] Handle versionless libsqlite3 DLL name

commit b3d042971ae9d7f34ff2d6f64779406b0eade17b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 28 23:50:16 2025 +0100

    mxe-setup, bootStrapCross: disable patches reverting MXE sqlite update, deal with libsqlite3 DLL installed to lib instead of bin directory
    
    This leaves NSIS packaging still broken.

commit 7ce3e44b6a81c76e99d571eb48b91d4d9c1dcd6b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 22 22:33:10 2025 +0100

    demuxers/MpegPS: fix crash on failure to load video

commit e188cf6fbd2daecf30049cd24418e90e3f24a958
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 16 16:35:53 2025 +0100

    osxInstaller, bootStrapMacOS_Monterey.arm64: deconflict packaging fix

commit 36ca8ecfe40fff5a21a635f6b7f877a2e9570a2a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 16 16:31:54 2025 +0100

    avidemux/qt4: disable SDL on macOS at build time

commit cda28a880a96a744a9cee539b6e5d8f4d6ccffb5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 14 22:35:53 2025 +0100

    Q_gui2: disable obsolete precaution breaking preferences and session saving in SDL-enabled builds

commit 3a483ab5049a8681f998fcc984b39bea7b572792
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 14 21:47:51 2025 +0100

    ADM_qt: do not install static lib

commit 917757803cfc0baf1b6726df0535a9fe3c6e420c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 14 21:46:46 2025 +0100

    avidemux/qt4: fix build on Fedora

commit 1811f4580934d09f1f5311018d07507f92036464
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 10 00:36:12 2025 +0100

    [mxe] Revert upstream changes breaking SQLite, update libaom to v3.11.0

commit d8138a84930672186001bc23d1066c28e61b090e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 10 00:29:30 2025 +0100

    [mxe] Build libaom as static lib, enable support for AV1 levels 7.x and 8.x

commit 9657afb8a1216916d93cf43bbce23d2c9b9214de
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 10 00:26:03 2025 +0100

    [mxe] Update Qt6 download URL patch

commit 3e1349e80a8f6996d4f8ec256ce652ab4cbc67a6
Author: mean <fixounet@free.fr>
Date:   Sun Feb 9 16:48:22 2025 +0100

    add bootstrap mingw QT6 ninja

commit 085d19fe8e9906316bf486eecec929fe15cec875
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 31 03:08:46 2025 +0100

    [VapourSynth, cmake] Separate preprocessor defines from compile options

commit 85f71f1b9199c98ce2e50b007568822eae198855
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 31 00:41:04 2025 +0100

    [render_qt] Unbreak VDPAU renderer

commit 6218ed1cc6fe090a1ccd7a6200fdfd6b6f577d12
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jan 30 23:16:34 2025 +0100

    [Q_gui2] Fix parent widget for recent files and projects submenus

commit 6bc4c75594f0bda75f2501e28da459b8dd433c35
Merge: 6b7fb93ad 4d2b50e3d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jan 30 23:10:32 2025 +0100

    Merge remote-tracking branch 'remotes/origin/mean00/wayland' into wayland-merge-prepare

commit 229ce395ca33a5de0ee8b1cfc1bd47edc503fdb0
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jan 29 20:15:54 2025 +0100

    [README] update readme, and template scripts

commit 6b7fb93adee14334e557e0cc146523e59bfd3bca
Merge: 9e525222c 05c82da26
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jan 22 00:43:59 2025 +0100

    Merge pull request #536 from szlldm/re_xvm
    
    [GUI_xvRender] allow multiple instance to use Xv render

commit 9e525222cd6dffac93d4a90fc17eb05101cb904a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 19 14:55:50 2025 +0100

    [file_qt4] Fix doubly added dot if the list of recent files is empty, make suffix check case-insensitive

commit c625ded809a4b71ace1f41cb77ba5e6758584a41
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 19 13:40:17 2025 +0100

    [alert_qt4] Remove one more qobject_cast which fails on Ubuntu

commit 49b04e3d8887b1c5193ff9a9f7ee99b2284c2023
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jan 18 23:25:57 2025 +0100

    [i18n] Update submodule

commit e797dee9b586ab7755de94fecaa379fbf4469a01
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jan 18 23:17:14 2025 +0100

    [file_qt4] Improve translatability, remove some redundant QString constructors

commit 06c00acd18bb9d7ce5518e5b97c52b3e77f59869
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jan 18 20:48:12 2025 +0100

    [alert_qt4] Remove qobject_cast

commit 4d2b50e3d082cc4fe3927aaa483a869f1fb350c9
Author: mean <fixounet@free.fr>
Date:   Wed Jan 15 08:36:42 2025 +0100

    fixup

commit 5b7f886dc7ea8e5416cce536781f24f5dbd4ae7a
Author: mean <fixounet@free.fr>
Date:   Wed Jan 15 08:08:15 2025 +0100

    small MXE script tweak

commit 42b0b5231f16362bcc05dc677c656eb173e4d5b0
Author: mean <fixounet@free.fr>
Date:   Wed Jan 15 07:12:21 2025 +0100

    mxe: also do libopencore

commit 05c82da2600cbf66303cd4adc35418fee963d91e
Author: adam <szullo.adam@gmail.com>
Date:   Mon Jan 13 23:40:52 2025 +0100

    [GUI_xvRender] allow multiple instance to use Xv render
    unbreaking PR #527

commit 6d42965011497b45c55571d329e4081bb776d62b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 12 22:17:57 2025 +0100

    [i18n] Update submodule

commit b87b010f65d71b9ba7682fbf408b19a2db712036
Author: mean <fixounet@free.fr>
Date:   Sun Jan 12 14:50:22 2025 +0100

    MXE fixup with SDL

commit 3f5aa5970c8dfbcb47e5b67bdb64b8c0e7fa7494
Author: mean <fixounet@free.fr>
Date:   Sun Jan 12 14:49:31 2025 +0100

    cmake cleanup of admCheckQt6

commit 03ce895a30a47969d5a4ca4e5fc8020cb6a8e972
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jan 11 23:47:33 2025 +0100

    [Q_gui2] Fix native style palette wrong and time display cut off on Windows 11, fix palette propagation
    
    We need to set an empty palette on QApplication when switching to a system
    style to get correct colors, based on idea by szlldm.

commit 3247e82e1022402589398b60f6f952e37338fc9e
Author: mean <fixounet@free.fr>
Date:   Sat Jan 11 15:09:18 2025 +0100

    bring back SDL2, workardound for wayland

commit cebb0e99aaa3f6660ec4e193b27b0607355e9fcf
Author: mean <fixounet@free.fr>
Date:   Fri Jan 10 20:01:09 2025 +0100

    put back copying avidemux.icns (again)

commit 3006ef0a71faa442fc7af1647fe0d5bf97f86ef5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 10 18:40:16 2025 +0100

    [createDebFromSourceUbuntu] Add libGLU developer package to the list of build dependencies, try to find the right lrelease

commit 6bbdcca8f47ea5d840739cf331f5e43f5b226752
Author: mean <fixounet@free.fr>
Date:   Fri Jan 10 07:58:01 2025 +0100

    osx fix

commit 7a63678f0b9ddcea09e95368d1c527f15a844cf0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 10 00:01:47 2025 +0100

    [createDebFromSourceUbuntu] Fix list of build dependencies, remove obsolete solution for logging CMake messages

commit a3446af98772db65ae117dab3a2a4a245f9eb830
Author: mean <fixounet@free.fr>
Date:   Thu Jan 9 19:45:43 2025 +0100

    MSVC: renderer fix

commit 617fd8d455a81fbbaf956aca501ab35ff454888d
Author: mean <fixounet@free.fr>
Date:   Thu Jan 9 08:08:59 2025 +0100

    unbreak windows & apple

commit b63ae8556705ac6cf385720d83b41bd2ee1ebbe2
Author: mean <fixounet@free.fr>
Date:   Thu Jan 9 07:12:54 2025 +0100

    win32+Qt6: install modernwindows style so it does not look too bad

commit fa6252e9787b0232e967f381725c9b7c02e9f080
Author: mean <fixounet@free.fr>
Date:   Wed Jan 8 20:06:43 2025 +0100

    zoom factor is float, not int

commit c5b2689535f3dc23bf72651c9672f1fc8bbeea50
Author: mean <fixounet@free.fr>
Date:   Wed Jan 8 19:49:10 2025 +0100

    remove qlementine

commit c2e89eeba6981debde2bfd5504d4f93600d146ea
Author: mean <fixounet@free.fr>
Date:   Wed Jan 8 08:42:15 2025 +0100

    comment out qlementine

commit 8d503cc8deb7c623d056a76d7ae591b84b244491
Author: mean <fixounet@free.fr>
Date:   Wed Jan 8 08:38:03 2025 +0100

    replace printf by ADM_info

commit e75644025e4f0fb01d20d85afb6d817aafc2652c
Author: mean <fixounet@free.fr>
Date:   Wed Jan 8 08:06:19 2025 +0100

    fix debian/ubuntu library install path

commit 8a23eadb686e3ab522b61e39e0234d22fb6b30c7
Author: mean <fixounet@free.fr>
Date:   Wed Jan 8 07:04:24 2025 +0100

    temptatively add qlementine as QT6 theme

commit 720c0b2bf81827d3b474b103c5d0cf4ecdf52063
Author: mean <fixounet@free.fr>
Date:   Mon Jan 6 21:33:30 2025 +0100

    refactor the qt_render, better split interface from implementation

commit 47ebb2a14197c4cb8c6fc090d0e18cc99b8d0703
Author: mean <fixounet@free.fr>
Date:   Mon Jan 6 08:22:26 2025 +0100

    cosmetic

commit c2c1b73a974aca342fd74ea13e5d909b3ab02614
Author: mean <fixounet@free.fr>
Date:   Mon Jan 6 08:19:43 2025 +0100

    begin checking if we are running X11 or wayland

commit 08860c2d18e7711c151f20323f18e49cb3584ce5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jan 8 00:17:56 2025 +0100

    Remove traces of internal libass
    
    Except for old bootstrap scripts, not in use anymore.

commit 2676bb94ccb87f9283408a40404cb5799bcfd50f
Merge: d7357a1bc 21308721a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 7 23:28:53 2025 +0100

    Merge branch 'clang-format-pre-merge-fixes'

commit 21308721a1e33ee2575b5ef066f9c9434e3ca470
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 7 23:08:48 2025 +0100

    [winInstaller] Add NSIS scripts for Qt6 cross-builds

commit d7357a1bcb2e13cb68bd87f68748f8839c513a4a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 6 22:20:14 2025 +0100

    [mxe] Update MXE setup scripts, patches and documentation, add upstream x265 memory handling fix

commit 5703ff5a42674c30112dc7e655e4958bcedb2cc3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 6 22:07:35 2025 +0100

    [bootstrap] Add cross-compilation bootstrap script for Qt6 / 64-bit target only

commit 09b20fb8f6d9dd74e087f1dc307c0c4ac407d988
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 6 22:04:42 2025 +0100

    [ADM_openGL, ADM_render_qt] Fix export defines

commit 7cc4a7fadf49141f1a6792b47b1d623b7ffab64c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 6 21:56:39 2025 +0100

    [qt4/cmake] Fix linking with MinGW

commit 5ad3f3783701691086a4b917143939c45e626e1d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 6 21:54:59 2025 +0100

    [cmake] Detect gettext unconditionally

commit 12d631d8ddd461ede05e2ae9a1b748a53dcff187
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 6 21:44:59 2025 +0100

    [cmake] Implement Qt6 detection for cross-compiling in MXE

commit c2500daa2aa35a04876cbd8a279e757916a2b18a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 5 17:41:24 2025 +0100

    [osxInstaller] Fix packaging
    
    CMake expects directory as destination, the command was breaking packaging.

commit cffdc291ac1bac809947a47db21c2d029da7e805
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 5 17:40:41 2025 +0100

    [build/macOS] Update hardcoded paths in arm64 bootstrap script

commit 73826b1ec31942b37f2f154484af46da332c76a9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 5 17:33:52 2025 +0100

    [core] Fix build on arm64

commit 45aa4512c1b84c552af8ec39d450e6dd5fdf41d1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 5 17:30:38 2025 +0100

    [autoScripts] Fix install path

commit 9967e6a31ce2b554f509b6089d6a0493cdcd5279
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 5 17:29:52 2025 +0100

    [VapourSynth] Fix build

commit c2a0b1459bf8bc1bd58de66d86d4455164cec32a
Merge: 3e9991b80 c16d32a67
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 5 17:09:31 2025 +0100

    Merge branch 'master' into clang-format-pre-merge-fixes

commit c16d32a67cdb012db093472ad3776713939a30d1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jan 4 23:34:14 2025 +0100

    [x265] Fix build with x265 4.1

commit 3e9991b80cbc1ac540b29d2b9c1dc1849d2d5ae5
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 12:05:24 2025 +0100

    osx: bundle fix

commit 455ec91e32eb92df70005f0fdac702ead72a0a67
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 11:39:59 2025 +0100

    MSVC: use hardcoded qt installer, it is not bundled in VCPKG

commit a60f337f6052f23186df8c4c9ae5d65a73ee91d7
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 10:56:16 2025 +0100

    sonoma, use ninja instead of make

commit 416530c8b0969d17efa1838b0a0c99323af00b55
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 09:37:52 2025 +0100

    MSVC installer

commit 928d02dca2dc3637f034a0eecd55c898a79499ef
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 09:09:31 2025 +0100

    try to fix vcpkg binaries

commit 9cd6ff41073984913585cffc541fb63e630d0e5c
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 08:55:07 2025 +0100

    fix libass on osx

commit f69a8fc56a176caa93774c1dc8ea5ff319346c22
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 08:44:03 2025 +0100

    fix bootstrap for qt6 + another bad include reordering

commit be15462c8cbb82495183d10f8a8849ae05a6c48d
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 07:45:07 2025 +0100

    cleanup QT Installer

commit 509f24d2ad21c63e30d19e434794c20392af776c
Author: mean <fixounet@free.fr>
Date:   Wed Jan 1 07:34:42 2025 +0100

    remove crlf

commit b62c8c7e416519033801aa7ab501b8d9e3eb9836
Author: mean <fixounet@free.fr>
Date:   Tue Dec 31 20:38:27 2024 +0100

    build CLI plugin without hw accel codec

commit fd0332077b33a8b375264b2a1c78841091177caa
Author: mean <fixounet@free.fr>
Date:   Tue Dec 31 18:37:40 2024 +0100

     starting cli version

commit 2bb6b838bdeb8019d936b23527922fa93c66adc9
Author: mean <fixounet@free.fr>
Date:   Tue Dec 31 17:34:40 2024 +0100

    explicitely links to adm_pthread, workaround until we get the core inheritance directly

commit ef0ad5a78975eb12ebe067a3204322a8500cda23
Author: mean <fixounet@free.fr>
Date:   Tue Dec 31 14:32:26 2024 +0100

    move adm_default to its proper place

commit 313a8a635961bc0fd1bdbb25ae4598bbaffa1c0f
Author: mean <fixounet@free.fr>
Date:   Tue Dec 31 14:32:04 2024 +0100

    update for VC++, remove internal libass

commit 6d946d7b5bb545e95b029dc9e8467b2803636cb3
Author: mean <fixounet@free.fr>
Date:   Tue Dec 31 10:04:58 2024 +0100

    we dont have vista style (yet)

commit 816af3399fd5922802f6f73bcd14232acc54d8e4
Author: mean <fixounet@free.fr>
Date:   Mon Dec 30 15:03:48 2024 +0100

    msvc: switch QT to QT6 from VCPKG, disable SDL

commit b41f973303d04d027e2661377201aee1cdcd8024
Author: mean <fixounet@free.fr>
Date:   Mon Dec 30 14:47:26 2024 +0100

    warning removal

commit ef4384aa7bb76971284859ec9441373cde948eb6
Author: mean <fixounet@free.fr>
Date:   Mon Dec 30 11:08:46 2024 +0100

    cleanup for VC

commit 31be3ae45ae7ee37f0c23c3feff771f7c178f26e
Author: mean <fixounet@free.fr>
Date:   Mon Dec 30 08:58:02 2024 +0100

    visual studio: switching to qt

commit 07a325cfde2c757008c2859921035856cdfdbaed
Author: mean <fixounet@free.fr>
Date:   Mon Dec 30 08:41:42 2024 +0100

    MSVC compatibility

commit 9db034d0625834125d42bfcea975358411b29336
Author: mean <fixounet@free.fr>
Date:   Sun Dec 29 20:53:29 2024 +0100

    use vcpkg across all subprojects + gettimeofday compatibility

commit 5555b14e4cf270d161611fd082c4b6dc7e275f9e
Author: mean <fixounet@free.fr>
Date:   Sun Dec 29 19:44:56 2024 +0100

    fix typo

commit 9dfa6d7f8305c9cd20c947acdcaf24f5bde52ce2
Author: mean <fixounet@free.fr>
Date:   Sun Dec 29 19:34:00 2024 +0100

    more vcpkg (intl/sqlite3)

commit 685cb625fc4155042096c5b6d92f1da0f25b6034
Author: mean <fixounet@free.fr>
Date:   Sun Dec 29 11:09:05 2024 +0100

    Use VCPKG with MS Visual studio to avoid relying
    on a hybris mingw/visual setup

commit 95bf1d8c16dfe91f8cbd858b0336aadadea05951
Author: mean <fixounet@free.fr>
Date:   Sat Dec 28 15:29:48 2024 +0100

    try to make visual studio work + fix bad include reordering

commit 74d768f1ae5d1904328f82d405daf0cd42d93173
Author: mean <fixounet@free.fr>
Date:   Fri Dec 27 08:02:06 2024 +0100

    Update for OSX packaging and specific files

commit 9c3c2173ac5c24b858da5818516aadda3f6d427a
Author: mean <fixounet@free.fr>
Date:   Thu Dec 26 19:32:20 2024 +0100

    split qt4 , cli, plugin, temporary fix (osx)

commit b0bf9810c40529601126363a9f5ad5494380082e
Author: mean <fixounet@free.fr>
Date:   Thu Dec 26 16:11:07 2024 +0100

    begin to fix osx installer, the files are now part of avidemux not core

commit 9cfb58d1f6ee69a74ab6506167dc45546c3861e6
Author: mean <fixounet@free.fr>
Date:   Thu Dec 26 07:57:12 2024 +0100

    cli+plugin/cli fixes

commit cc662d06bb190a951b5e4dbfd87a31796209ce7f
Merge: 5b83da37a 25b0a066d
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 18:03:26 2024 +0100

    Merge branch 'mean00/clang_format' into mean00/build_round2

commit 25b0a066deb0d083c2b250f7e9b8a63cdade0139
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 18:02:33 2024 +0100

    prettier bootstrap.sh

commit 1f49ebd3b81ed1166d64669ce12e51a8aee8785a
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 17:35:43 2024 +0100

    split the QT and CLI build apart
    
    The goal is ultimately to remove the un-needed
    stubs.

commit 5b83da37aca4f47ceeb0c008259e10e7cf74d309
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 17:33:32 2024 +0100

    linting the plugins

commit bad23b2a356b18fe1e10905adc2e556d593306d0
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 16:08:13 2024 +0100

    workaround plugins

commit cfbea88549d3d7cf42fb8d086bab57b5bb57103e
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 15:18:28 2024 +0100

    fix reordered includes

commit 6deb4f915e79352fc7a7ab5195f8fdae88d7a62b
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 15:00:23 2024 +0100

    and even more cleanup

commit fa102f671448a0194391b4d396e40c2869dbf2a9
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 14:59:05 2024 +0100

    revert to qt5 by default

commit 857c68a6d8c83ca975b30a56d1594ff7034a02a3
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 14:58:44 2024 +0100

    more split between qt and cli

commit bfdc0c520e39c8b909e998a094aaff7709f344d5
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 08:43:15 2024 +0100

    fix cmake install folder

commit 672af17e3ec49948ceee1ef31062a52ce6cd9c09
Author: mean <fixounet@free.fr>
Date:   Wed Dec 25 08:02:05 2024 +0100

    cmake cleanup, simplify a bit

commit 6ae90ebfbefde349d4b11c3559703bba74635453
Author: mean <fixounet@free.fr>
Date:   Tue Dec 24 20:10:29 2024 +0100

    minor tweak following cmake change

commit 16fdfbd873d55c0350a2d2fa94c8c351f80c060a
Author: mean <fixounet@free.fr>
Date:   Tue Dec 24 20:09:55 2024 +0100

    ventilate cmake files to the parts using them

commit 807a8d9cbfd14ecca0aa345b2908f2709ee5adc8
Author: mean <fixounet@free.fr>
Date:   Tue Dec 24 20:09:42 2024 +0100

    ventilate cmake files to the parts using them

commit f34509f21e6ac9e137f2e03b31bf52481271f99a
Author: mean <fixounet@free.fr>
Date:   Tue Dec 24 17:21:55 2024 +0100

    add brew helper to install everything needed

commit 065c44af0510c20c59fa8f02b2e40b0c0a639030
Author: mean <fixounet@free.fr>
Date:   Tue Dec 24 09:02:40 2024 +0100

    fix some missed CMakeList spotted by Euma

commit ebaf77ba86df0282bda6e013ec190ca556df935e
Author: mean <fixounet@free.fr>
Date:   Sun Dec 22 15:11:31 2024 +0100

    update gitignore

commit 643e9a867f659bb25a1baee2ec2db1aebcdad10c
Author: mean <fixounet@free.fr>
Date:   Sun Dec 22 14:40:37 2024 +0100

    move videoFilter to not create a reverse dep between core and main

commit 8c9c8d5eb654bd7fa71044a46dbe22f81691eceb
Author: mean <fixounet@free.fr>
Date:   Sun Dec 22 14:36:56 2024 +0100

    move videoFilter to not create a reverse dep between core and main

commit 02973ff94293083773d1e743e5ac838a8334dfe8
Author: mean <fixounet@free.fr>
Date:   Sun Dec 22 14:09:35 2024 +0100

    more cleanup

commit 8efac84f9d612fc88bf0517bc74918e2081403b7
Author: mean <fixounet@free.fr>
Date:   Sat Dec 21 11:41:51 2024 +0100

    and more fixes

commit 2aea607c0fc5775549b38741bbd611039cfbd0e8
Author: mean <fixounet@free.fr>
Date:   Sat Dec 21 11:25:05 2024 +0100

    more plugin cleanup

commit 206da0eba08196b409ce5971cb48cc1bbbcb153c
Author: mean <fixounet@free.fr>
Date:   Sat Dec 21 08:28:57 2024 +0100

    more modern cmake + sonoma fix+ update globally to c++17
    
    c++17 it is used at several point (QT6/edPts)
    more fixes

commit 5170d346a233cd2889fad7af0c6d23555833e5b3
Merge: 194480af0 adf3f56ed
Author: mean <fixounet@free.fr>
Date:   Sat Dec 21 08:20:33 2024 +0100

    Merge remote-tracking branch 'sono2/sono' into mean00/clang_format

commit adf3f56ed2a1df5e34a06c8b8984601b935e97c8
Author: fx <fx@fxs-iMac-Pro.local>
Date:   Fri Dec 20 13:34:41 2024 +0100

    sonoma patch

commit 194480af0b79cc15a6877a9b8bb6953355b354ae
Author: mean <fixounet@free.fr>
Date:   Fri Dec 20 07:30:27 2024 +0100

    add bootstrap for sonoma/x86_64

commit 2046a67f9f4f55dd5adcd4b1877d2053166d7b10
Author: mean <fixounet@free.fr>
Date:   Wed Dec 18 07:57:12 2024 +0100

    cleanup sqlite3

commit 142453def796875c7c81a7630552cd2e898cc956
Author: mean <fixounet@free.fr>
Date:   Wed Dec 18 07:47:32 2024 +0100

    avoid using pkg config, cleanup freetype, fontconfig and fribidi

commit 6b4c7cc5b5ff092fe5439d7c281d3d8f59bb59aa
Author: mean <fixounet@free.fr>
Date:   Tue Dec 17 08:35:31 2024 +0100

    cmake lint

commit f609c96c6cdf16f9dbd07978926e04173bcaeab4
Author: mean <fixounet@free.fr>
Date:   Tue Dec 17 08:11:06 2024 +0100

    plugin continued (gettext)

commit 3d84ae926055cf95217c8e225d54e5f433dc48f9
Author: mean <fixounet@free.fr>
Date:   Tue Dec 17 07:58:33 2024 +0100

    build cleanup, cli + qt (incomplete)

commit 807d4d801c513f5c808a8e340c02dd3976fcf1db
Author: mean <fixounet@free.fr>
Date:   Tue Dec 17 07:00:24 2024 +0100

    build cleanup , app / common

commit c91a77865e4b87e294b1fec6afe6ee7b9f355d59
Author: mean <fixounet@free.fr>
Date:   Mon Dec 16 08:04:01 2024 +0100

    fix out of order includes

commit 1c2fa6a6656e447886bb8b783de93a4e2113293d
Author: mean <fixounet@free.fr>
Date:   Mon Dec 16 07:54:42 2024 +0100

    clang : increase max column

commit 81116ec2df8746aa9b1c7544ea714ede23933b24
Author: mean <fixounet@free.fr>
Date:   Mon Dec 16 07:08:53 2024 +0100

    more core update

commit 9efdfa7eee19649b617cd9fc816ea43ff9ac3b57
Author: mean <fixounet@free.fr>
Date:   Mon Dec 16 06:58:59 2024 +0100

     cli cleanup

commit 3eef32f63af227bb83ae821866c4991ff6d3e500
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 18:21:01 2024 +0100

    reformat CMakeLists to follow the same target scheme, part2

commit 74c03460d7723d8a8edd57989752d326a1e04696
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 18:11:48 2024 +0100

    reformat CMakeLists to follow the same target scheme, part1

commit 849ea84b7ac11cc381490af5bc4775f44cc3285e
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 15:56:08 2024 +0100

    cosmetic

commit 1127657fdb9cc722f1bfc47136b9e22503dcbc8b
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 15:52:00 2024 +0100

    explicit include + some warning removal

commit a2023583e0e3438667ac6dc218bbd6b26a0c46f0
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 15:43:59 2024 +0100

    simplify

commit 82e84c60ef0588c940c923ada15bb11040e397b9
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 15:32:44 2024 +0100

    remove warnings (core)

commit c8c8303ec4f383285ac5ab4d5104f37803e5b669
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 09:58:17 2024 +0100

    osx fix for target_link_libraries

commit 414b484d9e271cafcb5474a7e4301a22a2f657c9
Author: mean <fixounet@free.fr>
Date:   Sun Dec 15 08:44:51 2024 +0100

    more cmake cleanup

commit fcfa379d7a0b35eb899078c8d17791648277fadb
Author: mean <fixounet@free.fr>
Date:   Sat Dec 14 15:56:52 2024 +0100

    ADM_jobs: dont hardcode gcc style linking

commit a00d072fcb4bd3e837f0ebbeb1847c2e23d231ed
Author: mean <fixounet@free.fr>
Date:   Sat Dec 14 15:28:24 2024 +0100

    more vc++ fixes, continued

commit 330c7507b47038fcf3f6707597946890759144ae
Author: mean <fixounet@free.fr>
Date:   Sat Dec 14 15:17:16 2024 +0100

    more vc++ fixes

commit 2a30b8e3eeb9c89d96abfe52cfb3ba40d1904dcf
Author: mean <fixounet@free.fr>
Date:   Sat Dec 14 14:28:59 2024 +0100

    vc++ : use public link to avoid explictely linking to pthread

commit ffae56f25508dd4562c98525ac14c501774bdd8b
Author: mean <fixounet@free.fr>
Date:   Sat Dec 14 13:47:01 2024 +0100

    vc++ fixes

commit de24f01a8af32ecf12d286de15a9fe9105305492
Author: mean <fixounet@free.fr>
Date:   Fri Dec 13 19:17:22 2024 +0100

    modern cmake : also video/audio plugins

commit aa45a2a9f2cd1b68705c056373e8c84c0cadfe5b
Author: mean <fixounet@free.fr>
Date:   Fri Dec 13 07:42:56 2024 +0100

    fix target_compile_definitions for  debug mode

commit 761af243a2d72f45e25fecc0fe921ef3ea899b2c
Author: mean <fixounet@free.fr>
Date:   Wed Dec 11 07:34:35 2024 +0100

    modern cmake : plugin + cli

commit 0a2957ed040aabc1640ef8a58adb1831dd1ff982
Author: mean <fixounet@free.fr>
Date:   Tue Dec 10 08:42:04 2024 +0100

    fix render name

commit 354e07cf0d80b222aeb7abc9b200597ccefb19b0
Author: mean <fixounet@free.fr>
Date:   Tue Dec 10 08:41:45 2024 +0100

    update plugin part1

commit 2c67165b9490c833bb620e980c693d146963e436
Author: mean <fixounet@free.fr>
Date:   Tue Dec 10 07:30:16 2024 +0100

    more simplification of Cmake build system

commit 553b63d57f273c80321201aa2ee0862f1525589c
Author: mean <fixounet@free.fr>
Date:   Mon Dec 9 07:06:54 2024 +0100

    more cmake cleanup

commit ce994de41a644f83d4d0c3f8c7be5c9deff7bbcf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 8 19:13:47 2024 +0100

    [Q_gui2] Move dummyGLWidget out of VU meter to improve performance of OpenGL video display on Linux

commit b4dde25edfa4996df2d96d0ff19a27352c70d95e
Author: mean <fixounet@free.fr>
Date:   Sun Dec 8 17:14:38 2024 +0100

    more linting and modernizing cmake

commit 0c218d675ec74e04b928a0899ec6991c6e8319af
Author: mean <fixounet@free.fr>
Date:   Sun Dec 8 17:12:50 2024 +0100

    more linting and modernizing cmake

commit 61832f6e6bfb3cf867b2172ea72789e91f5b9bd7
Author: mean <fixounet@free.fr>
Date:   Sun Dec 8 15:47:31 2024 +0100

    switch to so called modern cmake, lint the CMakeFile

commit cb371856d1db1b1ce0b2eea875f8a8ce288ac125
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 8 00:48:38 2024 +0100

    [ADM_openGL] Unbreak OpenGL display with Qt >= 6.4.0
    
    It seems we have to bind() QOpenGLShaderProgram in each paintGL() call now.
    
    This change results in a major performance regression of the OpenGL video
    renderer at least on Linux compared to its performance with Qt < 6.4.0.
    
    As a workaround, hide Audio Meter.

commit 9d6c0a1630228ca37c92e9b01f9b9448688f8c49
Merge: 7805f1d12 43e378a91
Author: mean00 <mean00@gmail.com>
Date:   Tue Dec 3 07:05:28 2024 +0100

    Merge pull request #532 from YHStar/master
    
    Add support for loongarch64

commit 7805f1d12e7599172eaa90202ac65715b3895025
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 1 22:32:39 2024 +0100

    [GUI_sdlRender] Improve debug messages, factorize, diversify variable names for legibility

commit 0515b6776b616b0fcc784237b2e2ebe0377980f7
Merge: 7f025309e 41494cd74
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 1 18:34:49 2024 +0100

    Merge pull request #534 from szlldm/sdlfix
    
    [GUI_sdlRender] fix HiDPI, fix preference saving

commit 41494cd74848f16467aab181bfbdb79d80a0fa1f
Author: adam <szullo.adam@gmail.com>
Date:   Sun Dec 1 17:32:18 2024 +0100

    [GUI_sdlRender] improve render quality

commit 80f65fdeb82528c3dfff607bcb1d3b5b0d73f320
Author: adam <szullo.adam@gmail.com>
Date:   Sun Dec 1 17:15:56 2024 +0100

    [GUI_sdlRender] fix HiDPI, fix preference saving

commit 7f025309edda9ae9cd02cffdeb5fb0664a1336b6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 29 23:57:28 2024 +0100

    [fields] Fix crash with odd number of input pictures

commit 2c7b1759e2f2aa115df8479e2b7e7e9d4732725f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 25 20:10:29 2024 +0100

    [demuxers/Mp4] Trust video dimensions from HEVC extradata when they contradict those from container

commit b74c1a154abc7cf5d65518d8d37afe1aeb1bd4fd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 22 22:14:36 2024 +0100

    [ADM_jobs,ADM_update] Try to fix build with Qt 6.8

commit 36a41e999dfb1adf78fa039bc22cda896c0c3063
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 22 22:12:34 2024 +0100

    [cmake] Remove duplicated code, reduce verbosity

commit 930d0e998030f78cd68ede0611285f9df8d55935
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 22 22:08:40 2024 +0100

    [x265] Fix build with x265 v4.0, unify indentation

commit 43e378a9191bf40311f1986dd1569482a550c072
Author: YHStar <980506422@qq.com>
Date:   Thu Nov 21 14:40:07 2024 +0800

    add loongarch64 support

commit ee80e8313c7fa0fa0901153f3de347900d5d8c08
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 18 07:28:08 2024 +0100

    [i18n] Update submodule

commit 7baa0b8ab6b8d4dce316830832fc9d59bfa01a09
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 1 22:04:19 2024 +0100

    [demuxers/Mp4] Fall back to track scale as sampling frequency before resorting to hardcoded default value

commit 30123799975b430be145539f84aca6f2351d25e6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 1 21:54:42 2024 +0100

    [demuxers/Mp4] Get sampling frequency and bit depth, ignore other data from ddts atom

commit 103044f2b1848ff2408bf367ce82d3a7c4da64f7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 29 12:00:34 2024 +0100

    [demuxers/Mp4] Try to identify DTS by FourCC

commit 51bda3fedaea77eec3638926c735e14c5fb66099
Merge: 7dee4672a af7734051
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 14 23:49:52 2024 +0200

    Merge pull request #529 from szlldm/fixencdiag
    
    [Q_encoding] fix black dialog (draw issue) on encoding start

commit 7dee4672ad18cbc4936c06aad74a7968a48c8ba3
Merge: 4ff571a91 f5ed93d5d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 14 21:55:05 2024 +0200

    Merge pull request #531 from szlldm/dhqfix
    
    [delogoHQ] fix rare division by zero cases

commit f5ed93d5d8563a1e662db20b6110b692f438dc5b
Author: adam <szullo.adam@gmail.com>
Date:   Mon Oct 14 21:40:06 2024 +0200

    [delogoHQ] fix rare division by zero cases

commit 4ff571a91af2ccd048d21f4a626cdd65bf36e25f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Oct 12 20:38:21 2024 +0200

    [fields] Adjust timebase

commit f60ffb00d46963b67e63a6650cfb2c8c6e74d9c8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Oct 12 18:14:40 2024 +0200

    [yadif] Fix timebase calculation

commit 23e6298ccc602aa1cf6bc7ce16b09b142b7cac2d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Oct 12 18:14:20 2024 +0200

    [vaapiFilters] Fix timebase calculation

commit 99cf34df66544a611aa6b51e87b325da49348d69
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 10 00:56:11 2024 +0200

    [vdpauFilters] Fix timebase becoming invalid and triggering crash in video encoder if input timebase numerator is equal 1

commit af773405127df7dc3b4e2db8ad370b72171f64fd
Author: adam <szullo.adam@gmail.com>
Date:   Sat Oct 5 23:35:45 2024 +0200

    [Q_encoding] fix black dialog (draw issue) on encoding start

commit 506a9ee43ad15b452d5f232a151a795cc8503918
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Sep 28 21:35:12 2024 +0200

    [cmake] Re-enable lto for bundled FFmpeg libs except for clang builds

commit 5cee27160a65599158044c6f6c57098488b4f82b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 20 21:15:55 2024 +0200

    [coreVideoEncoderFFmpeg] Clean up postEncode()

commit c5c95016bdd766612b481f57b6f30843b3f29ab7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 20 21:10:11 2024 +0200

    [coreVideoEncoderFFmpeg] Try harder to avoid deriving time base from time increment

commit 363c4cef50756e46b5eda99614b459fbd647128b
Merge: 936b2720e 28ee20924
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Sep 18 01:37:00 2024 +0200

    Merge remote-tracking branch 'origin/mean00/clang_format'

commit 936b2720ecfdba8b79b01d9a64954dea2bc5fa25
Merge: 64dcdb092 4c0f8661c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Sep 18 00:30:11 2024 +0200

    Merge pull request #523 from szlldm/fixdp
    
    Fix minor debug output issues

commit 64dcdb09254c0afe004ca8b451c30513ab98bcbe
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Sep 18 00:28:47 2024 +0200

    [avidemux_plugins] Add hwaccel entries only relevant to target platform to build config summary

commit 770abfef17b8af91a6bfcbadaf91bac9ea808569
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 17 03:00:08 2024 +0200

    [avidemux_plugins] Improve build config summary

commit ff839af2eac5e02a3fa4ad5602b7d99e4893db22
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 17 02:56:38 2024 +0200

    [directVaEnc,ffVa*] Skip now redundant check for libva, remove cmake include

commit 49dd266793f2b8faa0e0a1da27944b9ba798a3bf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 17 02:49:45 2024 +0200

    [coreVideoCodec/hwAccel] Add more libva-related cmake vars to ADM_coreConfig.cmake, factorize

commit 5023394ade7e6dc7b7d99b6ed11b4f4b64d24d2f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 17 02:45:01 2024 +0200

    [cmake] Retain results of checking for VDPAU, improve status messages, remove tabs, unify indentation

commit 7e267fe12d3e6add9161e1220cb6776c9ebe4b40
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 17 02:42:15 2024 +0200

    [cmake] Cache the results of NVENC check

commit 116abccae2a5be11d96f3e02a531d0a5e0c25f4a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 17 02:40:45 2024 +0200

    [cmake] Retain LIBVA_CFLAGS after the initial check for libva, improve status messages, remove tabs, unify indentation

commit 4c0f8661cd46179c1e4660a052cd6c9db1ee2cd8
Author: adam <szullo.adam@gmail.com>
Date:   Thu Sep 12 21:54:49 2024 +0200

    [translator] fix debug print

commit da6c55a4b2808747c9dac946f83fccb46b519014
Author: adam <szullo.adam@gmail.com>
Date:   Thu Sep 12 21:47:52 2024 +0200

    [XvRender] fix debug print

commit 3c40365dc9c738a5050e17afc8822dee490cbe46
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Sep 8 00:13:53 2024 +0200

    [bootStrapCrossMingwQt5_mxe] Avoid packaging unnecessary libharfbuzz DLLs

commit 9ef1588c8f3cf169161bdfc26a8da1fd5df8650f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Sep 7 23:05:00 2024 +0200

    [mxe] Update qt download URL patch

commit df0ec338f3fd23d8c4a1e0510a0d948e7edc6fe1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Sep 7 20:52:27 2024 +0200

    [demuxers/Mp4] Use number of channels supplied via sound sample properties

commit 28ee209243a8b23df7cc622074c99e35979b44ed
Author: mean <fixounet@free.fr>
Date:   Sat Sep 7 09:09:10 2024 +0200

    fix ninja command parsing

commit 4a96c05a22a9b16f2aff207bee3ba0da56ae979c
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 20:27:57 2024 +0200

    add pkgs to gitignore

commit c2b60c12b877662e54ad865e574dca43f2a44dbe
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 20:25:40 2024 +0200

    bootstrap: add ninja support

commit c1034b5f12495fae8adead6f87b880769504d5c7
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 20:25:22 2024 +0200

    force use of make to build ffmpeg, that way we can use another generator

commit be9cd82ed766cab85211edd9c46599a7b9b62661
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 20:01:52 2024 +0200

    cmake: ffmpeg , switch to linux eol + remove some linter warnings

commit e46dc1822126c818b6bfd14a108d9f84914f7a54
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 18:18:55 2024 +0200

    align cmake minimum version to 3.7

commit 4ff3b23af7088848f94a4d0b4431aa1fe8731afe
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 18:14:39 2024 +0200

    make the expected input clearer when using createRpmFromSource

commit b9ac9582924a3b90aee9c286aa7d07407088f43d
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 17:57:48 2024 +0200

    remove lto, clang does not like mixing lto and not lto objects

commit 01bfbce108e77befad5e115fbeedccfdff925795
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 17:15:28 2024 +0200

    remove the cmake codeblock generation, use plain Makefile

commit 05758dfd4960bfd82a05852229011f0aa11c2013
Author: mean <fixounet@free.fr>
Date:   Fri Sep 6 17:11:29 2024 +0200

    clang format + pre commit

commit 30ad5a03bc8c73e1172c2d2a385880d138ec26d0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 6 01:06:27 2024 +0200

    [muxerffPS] Replace deprecated function with supported equivalent

commit 13299413f6cb6d29bea6825fa1fdf88970dcf73b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 6 01:05:19 2024 +0200

    [muxerMP4] Replace deprecated function with supported equivalent

commit 27b0b2f03e921029a60f6f16ddc8bdc339bb7586
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Sep 5 23:23:39 2024 +0200

    [core/debug] Strip asterisk from function names returning a pointer
    
    Clang implements __PRETTY_FUNCTION__ differently from GCC, inserts a space
    between return type and asterisk, not between asterisk and function name.

commit 67ce1f895fb966089ddeb491eaf9b009efa03d77
Merge: 38582543d 0648ba2a3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Sep 5 21:29:55 2024 +0200

    Merge pull request #522 from szlldm/debugprint
    
    [ADM_debug] reform debug output

commit 0648ba2a3383eff8e8195609b346ba5dead09bd9
Author: adam <szullo.adam@gmail.com>
Date:   Thu Sep 5 21:09:23 2024 +0200

    [ADM_debug] print class name if possible

commit 061d36b5dec2df6cc74dc272723e4c97dc607277
Author: adam <szullo.adam@gmail.com>
Date:   Tue Sep 3 21:51:42 2024 +0200

    [ADM_debug] reform debug output

commit 38582543d2933b780e72df9f3a0b6bddf057a91a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 31 00:24:53 2024 +0200

    [build/macOS] Bail out early if build directory file system is not case-sensitive (based on patch by Deniz Türkoglu)

commit 1759d5663e4b26443407a58ca05f4813c9a1462c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 26 23:32:11 2024 +0200

    [cmake] Strip trailing newline from qmake output
    
    This issue broke at least packaging on macOS.

commit e002176855f98647c75d6214e4928ee037c11c77
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 26 01:46:47 2024 +0200

    [coreAudio/audioIdentify] Fix MP2/3 detection failing when initially decoded sampling rate was bogus, clean up idMP2 function

commit 6559eca2ef04947f884e53df926e6ed6213e78a5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 25 00:10:43 2024 +0200

    [README.md] Update instructions on ad-hoc signing on macOS/arm64 as ad-hoc signing is now integrated into packaging

commit 51d06c6714cec52dd97ee7869195f4945b83c6a5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 24 23:56:33 2024 +0200

    [README.md] Update for out-of-tree build, simplify repo cloning (Deniz Türkoglu)

commit 13c8f9e02f51772246ba4c76c9c6432798e00540
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 24 23:45:48 2024 +0200

    [run_avidemux_template,run_jobs_template] Rename variable to reflect the ability to build out-of-tree, update comment

commit 8c5690b37e51e29d1b06ee7992358b04bc8c455c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 24 22:07:12 2024 +0200

    [appImage] Add support for out-of-tree creation of appImages to scripts for Debian Bookworm

commit 60145f65297b6439ffbc139f580214c0f5b2115a
Merge: 4fd4ff1d2 325492b7a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 22 23:23:39 2024 +0200

    Merge pull request #521 from szlldm/mp4index
    
    [ADM_demuxers/Mp4] index to file option

commit 4fd4ff1d2518cb657b51353578b5d614a1bb3bd0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 21 18:50:12 2024 +0200

    [mxe] Further factorize setup script, hardcode a known good Qt download mirror to work around a hang

commit 9d7255a700b78c608809a7ba234f93fe39bb4211
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 21 02:51:41 2024 +0200

    [mxe-setup] Factorize, add options to isolate stages
    
    This patch allows to rerun just the build, which may hang due to a webserver
    misbehaving, from the point where it had to be terminated, without having
    to repeat the entire setup from scratch.
    
    Build of additional MXE packages can be requested via environment variable
    EXTRA_MXE_PACKAGES, e.g.:
    
    EXTRA_MXE_PACKAGES=a52dec ${AvidemuxTopSrcDir}/mxe/mxe-setup.sh --build
    
    from within the directory where MXE had been cloned.

commit 7df63b563ae89984169effca1c68964e574adee1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 20 21:23:51 2024 +0200

    [cmake] Replace deprecated cmake command in checkQt5 and checkQt6 macros with equivalent

commit 32a88ce3b06b283fc0edfa915b7c961d0fea1c3a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 20 20:33:24 2024 +0200

    [cmake,ffmpeg] Update bundled FFmpeg to 7.0.2 release

commit f5a1883da1d1625e2a2cefbac22f965840c3cd6a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 20 00:16:21 2024 +0200

    [dxva2Render] Do not insist on YV12 path when we already know that it is not supported

commit 126ad7b903360bed58a80cc810e6fffd8c407143
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 19 23:24:33 2024 +0200

    [ffVaAV1,ffVaH264,ffVaHEVC] Fix encoder failing to produce output when encoder delay is zero

commit b94f0172a5c65acc9eadc665686c0c4b00cf7d75
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 19 22:53:43 2024 +0200

    [bootStrapCrossMingwQt5_mxe] Support out-of-tree build, fix option description
    
    The install directory has to stay within MXE target.

commit 0a75308e135f1ac7c8d6d9a331eaf55e6a2d5b47
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 18 23:49:09 2024 +0200

    [createDebFromSourceUbuntu] Support out-of-tree build, update packages folder name (untested)

commit 83bab3941ab39751808a9837f015bb2e0c9f19e1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 18 23:38:22 2024 +0200

    [createRpmFromSourceFedora] Support out-of-tree build, choose zlib name based on Fedora version, update packages folder name

commit 04d12ef1eb4718c7172f46845230a46e3ca640a6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 18 21:42:57 2024 +0200

    [bootStrap] Set QT_FLAVOR only where needed, stop on install failure, improve error messages and legibility

commit a9951e50a5b688b7ffcd375d614938b8d8bc6e32
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 18 17:57:52 2024 +0200

    [bootStrapOsx_Catalina] Support out-of-tree build, update packaging

commit 8f75bf4ad61739b259c7234177975d6c5b02691c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 18 02:02:29 2024 +0200

    [osxInstaller] Remove info message that resulted from confusion about doubly executed cmake install script

commit dd0a272b86472001c450e79ae52a48ea124923a0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 18 01:48:52 2024 +0200

    [osxInstaller,bootStrapMacOS_Monterey.arm64] Fix cmake module path, make sure arm64 is detected, fix variable replacement, drop redundant make install step

commit ab5ab39c070c7955ae360a1061975d76bed8763f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 17 19:33:04 2024 +0200

    [osxInstaller] Integrate adhoc signing into app bundle creation

commit 043e4fc80d09abcf301e84f055fa92dcf2bbafe8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 17 19:28:19 2024 +0200

    [bootStrapMacOS_Monterey.arm64] Support out-of-tree build, remove redundant exports, handle paths with spaces when possible, improve legibility

commit 325492b7ab33255741bde83436ac24a39b484cdf
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Aug 16 02:53:17 2024 +0200

    [ADM_demuxers/Mp4] index to file option

commit 1eba5ba431aa5fc5ab0e5ba5fd6f5e84504d2a3f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 16 02:13:03 2024 +0200

    [bootStrap.bash] Support out-of-tree build, rename directory for packages, remove redundant export commands

commit c229455de91afa030d39588130a24c09091e1748
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 15 15:38:48 2024 +0200

    [README.md] Add pkg-config to the list of explicit build requirements on macOS

commit 991e3a70ee156bb77916e191d15e235ee4f45e62
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 15 15:22:43 2024 +0200

    [i18n] Update submodule

commit 94830577858fdce062124c8eb7339156d04122d1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 12 03:06:34 2024 +0200

    [documentation] Update cross-compiling howto

commit e918a1a1cb236fbbc5ec074b9b678e6bb7ea574c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 12 02:57:24 2024 +0200

    [mxe,nsi] Update to latest MXE, pull in latest libaom, libvpx, opus and x265
    
    These changes require existing MXEs to be re-created from scratch.

commit bb9321a518eea2d85bd9303ba0d9f8f6e9c16273
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 16:24:21 2024 +0200

    samplerate: we cant redefine builtin functions lrint/lrintf with recent VC++, let them alone

commit 67b002940d100aec4d795dc2621506804fba3bf6
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 15:54:04 2024 +0200

    coreMuxer: try to fix vs build

commit 91952fb53317f477c434c2696313e478dd0ad3d4
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 14:31:28 2024 +0200

    build vs, force C11 (NOT C++11)

commit 780a5b3dbe1e895dc646704565304018c43421d1
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 14:13:28 2024 +0200

    revert to explicit std:c11

commit 34c547901baee2c86828b089b485688cb1aa4fde
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 12:31:01 2024 +0200

    tweak C11 support

commit 54d6b06da175158c334cc6f7d984cd20a4646230
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 10:55:36 2024 +0200

    test : switch to C17 (originally c11)

commit 7037a3958aefa76414800e73f4f96946b09687c2
Author: mean <fixounet@free.fr>
Date:   Sun Aug 11 10:32:52 2024 +0200

    try to workaround VC++ not linking std=C11/C++11 (euma)

commit e72ba43a0907c99321c5ffd41fb14f8b60f8b9e6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 10 17:50:14 2024 +0200

    [coreUtils,editor,MpegTS,VapourSynth] Try to fix build with Visual Studio

commit f5f93f4329ff48d7e8fdbe7fe25a2615d163f141
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 10 14:40:27 2024 +0200

    [coreImage] Always decrement hw surface ref count in target when duplicating
    
    This fixes a logic error from 79f1eaf responsible for runaway allocation of new
    hw surfaces under certain conditions.

commit ac578392827c35ba4a876857811ea96837d4e4d8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 7 01:34:37 2024 +0200

    [appImage] Fix comment

commit 6fb9e3c0cd56b98c8d7b72f988e092161569031f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 7 01:22:38 2024 +0200

    [appImage] Add setup and build script for Debian Bookworm

commit 1f50e568282f60c974c3bc09ed8b87d5629af550
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 6 02:41:32 2024 +0200

    [cmake,ffVaAV1,ffVaHEVC] Disable build of libva-based video encoders for codecs not supported by libva in the build system

commit cda980be9506e2fe0277dde2cbea2fb6a4f52770
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 6 02:28:58 2024 +0200

    [coreLibVAEnc] Fix build with old libva versions

commit 96bcaa6df64d1da72df9898b82ed4aa1875177f4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 28 21:06:28 2024 +0200

    [demuxers/Matroska] Allow overwriting existing index files, controlled by env variable
    
    Set ADM_MKV_INDEX_ALLOW_OVERWRITE to 1 to ask Matroska demuxer to non-interactively
    overwrite existing index files if they could not be loaded.

commit a421c2e1cc1a9082c714e9cfa41fe329e8bbaed2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 28 21:05:14 2024 +0200

    [coreDemuxer/metaToFile] Allow to overwrite existing index file

commit 4b4d19ac74854a9bb6724a17ef5a74e4c9c346e9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 27 23:48:39 2024 +0200

    [cmake] Fix FFmpeg configure options added twice when cross-compiling for Windows, remove redundant options

commit fac456438f705adea15be42b6d457777cf74af94
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 27 23:17:10 2024 +0200

    [coreDxva2,ffmpeg_dxva2,aomDec] Add hardware decoding support for AV1 via DXVA2

commit 182e0d592d89d0ae135042bdb21ba724f921b327
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 26 23:57:02 2024 +0200

    [demuxers/Matroska] Exclude redundant elements from index files, bump version
    
    This makes also valgrind happy as memory pointed to by infoCache in mkvTrak
    is not necessarily initialized which may constitute a bug in its own right.

commit ecd1591d96f5375bbfe01de90366554a79696fb4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 26 23:36:45 2024 +0200

    [demuxers/Matroska] Initialize memory evaluated when creating index file

commit 32c15ea2c4185d21cb9e279864ebb407835547b9
Merge: ac1019d6d 1f9adf542
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 26 23:26:56 2024 +0200

    Merge pull request #520 from szlldm/meta2file
    
    New index to file helper class; Applied on MKV

commit 1f9adf54280e053e32fb938608d8843d78b46f53
Author: adam <szullo.adam@gmail.com>
Date:   Fri Jul 26 00:23:20 2024 +0200

    [Matroska] index to file option use new helper class

commit 00415bfed2466116c91dc2b2c690c0dcc00aa5c0
Author: adam <szullo.adam@gmail.com>
Date:   Fri Jul 26 00:11:43 2024 +0200

    [ADM_coreDemuxer] create metaToFile helper class

commit ac1019d6ddba8c00160349b0ff701fa48b315889
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 24 04:09:11 2024 +0200

    [editor] Fix navigating to the first frame, oops

commit 826b41de2a1c34434b59492f1083391b7253986c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 24 03:43:32 2024 +0200

    [editor] Replace magic numbers with defines

commit f607a1398a8b0b815081c77a4caab30c0e82a353
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 24 03:34:50 2024 +0200

    [editor/segment] De-uglify convertLinearTimeToSeg function, improve debug message

commit 1bd52298abeb5bf2458b480e5cf8490bf02a470c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 24 03:26:40 2024 +0200

    [editor] Fix navigation in files with large gaps in PTS, replace magic numbers with a define, improve debug message

commit 9402385e9a35973558b57dbbdf577f82c8d287e7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 22 19:37:28 2024 +0200

    [ffVaH264] Error out early if encoder fails to generate global headers
    
    This should force users on affected platforms to evaluate possible
    workarounds like exporting to MPEG-TS and remuxing to MKV or MP4 in copy
    mode instead of letting them in the dark.

commit e29b164d32102f43ef1743e78fb4e12a804290bc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 23:24:42 2024 +0200

    [ffVaVA1] Re-use buffers and allocated AVFrame structs, remove redundant virtual functions, remove B-frames control, fix encapsulation

commit fcd1b7570eafd3145613ab3a6fdbb4a3ac2f04c4
Merge: da1218d43 0f9b1b427
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 21:16:31 2024 +0200

    Merge pull request #518 from szlldm/libva_av1
    
    [ADM_videoEncoder] VA-API AV1 encoder

commit da1218d4304ceeaf078b80ea5feba3fe5ee325ce
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 21:11:19 2024 +0200

    [ffVaHEVC] Re-use buffers in swFrame, allocate AVFrame structs only once, replace hardcoded number of elements with array length

commit dc27bb690337eb72dc3533fbf12f2b7ba0850339
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 20:42:16 2024 +0200

    [ffVaH264] Derive number of menu items and dialog elements from array size, disable VBR mode
    
    At least on Skylake, VBR mode seems to be grossly broken. Disable for now
    pending further investigation.

commit 64aba6faf5666ff6bafdd221617ac5edd2ba553f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 17:24:23 2024 +0200

    [ffVaH264] Minor code cosmetics

commit c319e7ee9403c8ee50f0d678af2e000c49d5553e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 02:45:34 2024 +0200

    [ffVaH264] Re-use buffers in swFrame, allocate AVFrame structs only once, fix b-frames control staying disabled, remove redundant virtual functions

commit fe04fffcf8461c79534ebac1f838bbcc5bd8e6c1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 01:42:21 2024 +0200

    [coreVideoEncoderFFmpeg] Make sure compression mode is initialized

commit 85ef7c3964f55f1ee57fedb6c3f5e487a551d6ef
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 01:38:00 2024 +0200

    [coreVideoEncoder] Remove redundant std::string ctors

commit 115268080eea8eb0681b0e9438a9b2d33e5d00b6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 01:34:31 2024 +0200

    [main] Stop looking for UI-specific script engines

commit 36f51017adafe3d1423e5854c8c69467f5dcd231
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 21 01:19:38 2024 +0200

    [ADM_script2] Do not require a non-NULL subfolder name when initializing script engines, remove redundant std::string constructors

commit 301b03850aad3378a316b47dc1244bc610614314
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jul 18 01:06:44 2024 +0200

    [gui_play] Fix frame duration shifted by one frame, continue audio playback until last frame duration is over or stopped by user
    
    It may be debatable whether it should be possible to start (audio-only)
    playback when at the last frame of video. This patch allows that.

commit fc8c48e9594aefb5f9830dafaf82492389e3517d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 15 23:46:21 2024 +0200

    [demuxers/Mp4] Skip mp4a atom inside wave instead of misparsing the remainder as WAVEFORMATEX

commit 0f9b1b4270600931b503a41a2aa1775b3205155b
Author: adam <szullo.adam@gmail.com>
Date:   Sat Jul 13 04:15:21 2024 +0200

    [ADM_videoEncoder] VA-API AV1 encoder

commit 8f893961aed8fc055fa385dd54a65cb246cbced2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 13 00:41:10 2024 +0200

    [demuxers/MpegTS] Trust NAL to identify intra-coded H.264 frames which are not keyframes

commit 4a023d770bdbb3731c108819a40f77dca7b4601b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 12 01:17:38 2024 +0200

    [demuxers/Matroska] Enable writing index to disk by default
    
    Set environment variable ADM_NOINDEX_MKV to 1 to disable.

commit fdba6c4e64089268e223d5dbace5c6dba90fd119
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 12 01:12:27 2024 +0200

    [demuxers/Matroska] Fix debug message reporting failure on success

commit 390e35a67c37dee9cebd0a96a0bbd5f5983c1ff6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 12 00:38:36 2024 +0200

    [demuxers/Matroska] Use a different filename extension for binary index files

commit 1d573de35410f56db502d064168e42806b14c60b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 12 00:35:21 2024 +0200

    [demuxers/Matroska] Catch errors writing to file, bundle writeouts, increase verbosity, fix #undef directives

commit cbffe1b84face33d4c45043312df4d96a4d3dd74
Merge: 7cddd5efd db91d9cc3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 12 00:10:38 2024 +0200

    Merge pull request #517 from szlldm/mkvindex
    
    [Matroska] index to file option

commit 7cddd5efd47725433997f2681b1c069d672e14ba
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jul 11 23:09:21 2024 +0200

    [coreDemuxerMpeg] Bump index file version to force re-indexing

commit 4f2b521228fc8d58b55a69238fd157bbfbffbc04
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jul 11 22:37:23 2024 +0200

    [coreDemuxer,MpegTS] Disambiguate H.264 recovery points and IDRs
    
    This change fixes handling of HEVC streams containing both IDR and non-IDR
    keyframes by disabling a hack that might have served the purpose of handling
    a rare case of H.264 streams where some intra-coded frames are not keyframes.
    This case may need a different solution.

commit cb487a704cb6a8de8970c6a3c9e9f66af5ab93b9
Merge: f74ae7f84 e05e68045
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jul 11 22:04:27 2024 +0200

    Merge branch 'ffmpeg7x'
    
    Brace for impact!

commit e05e68045c1b86eea07e244b2e0b49cb882b6fbd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 5 22:33:05 2024 +0200

    [ffmpeg_package,ffNvEnc] Disable our FFmpeg patch which broke NVENC with YV12 input, revert to using YV12

commit 4de91120c57631404e454328f5ed2bbaebfd0024
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jun 21 00:24:20 2024 +0200

    [coreVideoEncoderFFmpeg] Let derived class have the last say before opening context
    
    This fixes VA-API-based encoders, broken by 17796c5.

commit 0084bb68931306facaf120e59d31ee2b9dc65faa
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 23:38:37 2024 +0200

    [videoCodec/videotoolbox] Remove instance of reordered_opaque missed in previous commits, oops

commit 48e0437a85393bbf0b6e51f3d0de1b9140604c6a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 23:16:49 2024 +0200

    [coreVideoCodec] Override PTS set by libavcodec when no reordering is expected
    
    This fixes decoding of an obscure fic video sample, seems to be generally safe.

commit 9a49d17298cf93e37ede7245b94afe44eddf7e4d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:54:04 2024 +0200

    [ffVaHEVC] Try to do without reordered_opaque (untested)

commit ce6ac20b6450936aa04aeb1436dc13bbcd860022
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:52:20 2024 +0200

    [ffVaH264] Try to do without reordered_opaque (untested)

commit b8ae0d261bd6a2315c610a473f63f95e9fe14f96
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:50:39 2024 +0200

    [ffVTEnc] Try to do without reordered_opaque (untested)

commit efdd84983bab9bfbf75fc4dae6c5993969375e1f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:49:41 2024 +0200

    [ffNvEnc] Try to do without reordered_opaque, ask core to convert input to NV12 for now as YV12 seems to have stopped working

commit a4fbc7e3fc32f1ceec8806b4396e4c4a4441b21d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:42:24 2024 +0200

    [ffMpeg4] Try to do without reordered_opaque

commit 2ac606412d05faa953d8d8ba387000d254e62e68
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:41:48 2024 +0200

    [ffMpeg2] Try to do without reordered_opaque, stop using deprecated AVFrame members

commit e742507f917f51822d67b578c075112d7f72d2b1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:38:44 2024 +0200

    [ffFlv1] Try to do without reordered_opaque

commit 47847eb20ac22695a652c2f54c8f61d1f27238bf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:38:12 2024 +0200

    [ffDv] Try to do without reordered_opaque

commit e1e91550122d5e51e3e91270d33bcffd3b04df3c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:36:46 2024 +0200

    [audioDecoders/lav] Switch to the new libavutil channel layout API, fix extradata allocation

commit f1c4c1f3bb5f976e7009190778d9557909fad6c4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:34:24 2024 +0200

    [videoCodec/ffmpeg_videotoolbox] Try to do without reordered_opaque (untested)

commit 8bd61bc6e84c92baa07c886b6114a718ba533a66
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:33:19 2024 +0200

    [videoCodec/ffmpeg_libva] Try to do without reordered_opaque

commit 9147f75e3bbb47a32cb3c09bb2ded06b4c960961
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:31:49 2024 +0200

    [videoCodec/ffmpeg_nvdec] Try to do without reordered_opaque

commit 6ab5668beb9c3cce5006ba16d4d67b0e2c6cb547
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:28:07 2024 +0200

    [videoCodec/ffmpeg_vdpau] Try to do without reordered_opaque

commit dcf802c3c8f4a22a36e35922c72b44197f78be2d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:24:48 2024 +0200

    [videoCodec/ffmpeg_dxva2] Try to do without reordered_opaque

commit 17796c53a7ff92571c3dc1284c51802f285d088f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:23:18 2024 +0200

    [coreVideoEncoderFFmpeg] Separate AVFrame and AVCodecContext setup, use libswscale to convert to NV12

commit 08c436f3202ff1e54fc79f9128ccc65cf7898e2b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:16:55 2024 +0200

    [coreVideoCodec] Fix memory allocation for extradata, try to do without reordered_opaque

commit 294269f6fd66745a626dab117ff3baf8adf362de
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:08:34 2024 +0200

    [coreUtils/getbits] Fix build

commit 2012c29b789e08afe383623ea1e49929f1231667
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:07:03 2024 +0200

    [coreAudioParser] Switch to the new libavutil channel layout API

commit 31a3e67fd237f0f598d6e33edccd0230d6453020
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 17 00:00:38 2024 +0200

    [cmake,ffmpeg] Upgrade bundled FFmpeg to 7.0.1 release, update Avidemux patches

commit f74ae7f84447e4d85266a881b4d5f2bd13fa7898
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jun 11 15:41:09 2024 +0200

    [audioEncoders/lavcodec] Use current channel layout API, remove deprecated function
    
    This fixes channels being messed up and partially lost with multi-channel audio.

commit 8aac51d7e55cd38bdb9e8538ab520d2c7f3e47e0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu May 30 23:20:45 2024 +0200

    [demuxers/Mp4] Fix audio broken in fragmented files

commit fd2046f32f2c41e1737e502dd646e3bfe6a381f2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 20 04:05:38 2024 +0200

    [i18n] Update submodule

commit 89f4a63add965df0307e78b2c3889842ac6eb226
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 20 03:56:42 2024 +0200

    [Qt/jobs] Look for renamed Avidemux executables when in portable mode

commit b553b39df7c0d1714d6620584d73f57d5af5efb6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 20 03:39:49 2024 +0200

    [Qt/jobs] Remove redundant std::string ctors

commit a5f1fe0883b9bc0b7b77952a4c79ecc5ac4e9e13
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon May 20 03:32:31 2024 +0200

    [Qt/jobControl] Allow to launch Jobs in portable mode by renaming the executable

commit 601e92dabd4c1d2dcde639557d12cc1043e96669
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Apr 30 12:05:09 2024 +0200

    [demuxers/MpegPS] Keep index in memory when directory is read-only
    
    Copied from szlldm's changes to MpegTS demuxer.

commit 339c3de31c305e8357e77a3da976b96310385e1d
Merge: ac7587b1c 166a4a115
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Apr 29 22:48:08 2024 +0200

    Merge pull request #516 from szlldm/tsmem
    
    [MpegTS] index file in memory

commit db91d9cc3248f6fe08ca1aa128a7f10a2c957ec9
Author: adam <szullo.adam@gmail.com>
Date:   Mon Apr 29 21:14:30 2024 +0200

    [Matroska] simplify index load/save functions

commit 166a4a11537d05332ebd0c711a91cdaad97c9739
Author: adam <szullo.adam@gmail.com>
Date:   Mon Apr 29 07:51:54 2024 +0200

    [MpegTS] fix memory indexing

commit e6fc2575e9539d6d3dadc3d5190ba3c0725eca55
Author: adam <szullo.adam@gmail.com>
Date:   Sun Apr 28 00:25:10 2024 +0200

    [Matroska] index to file option

commit c12562706b71a9207099d33c7da20a93fbd13a25
Author: adam <szullo.adam@gmail.com>
Date:   Sat Apr 27 01:24:16 2024 +0200

    [MpegTS] index file in memory (if cannot create idx file)

commit ac7587b1c8c7306245816444ee0d92d9cb8715d6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 17 20:56:48 2024 +0200

    [vp9] Add support for tile rows

commit 17958bd250aea9766cbc3374df0feff13b46b198
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 17 20:48:22 2024 +0200

    [av1aom] Update configuration dialog for the new diaElemTiling prototype

commit a206859f8f70da208ba2cebecf7db59c2e42c69f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 17 20:44:20 2024 +0200

    [coreUI,Qt/dialogFactory/tiling] Allow different limits for number of columns and rows

commit d5a30eb445262b85aa21adcf457ab0ff5fb87331
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 13 23:17:16 2024 +0200

    [mplayerDenoise3D] Silence debug message otherwise printed for each processed picture

commit 05e7013c2fefefbadadfe82f14d2793e3de55fb8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 13 23:13:01 2024 +0200

    [cli/DIA_none] Remove obsolete placeholder functions

commit 11c314a28d51b805e2f342d0d42907bd9aa03595
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 13 23:09:30 2024 +0200

    [gui_main] Remove duplicate or unused function declarations

commit 9a982b2f9a9cd9be1c7267e7c0d201f0ea39052f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 13 22:37:00 2024 +0200

    [coreSocket] Increase polling timeout
    
    Avoid triggering socket timeouts when running a job by making timeout
    sufficiently longer than refresh interval of encoding dialog.

commit e540cff1b86330ca5aae524fc89520db92c395e7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Apr 11 00:38:24 2024 +0200

    [coreUtils] Add hev1 to known HEVC tags

commit 1a2eade7ce9b1d167f75defdf181f8ef01837be0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Apr 7 21:09:33 2024 +0200

    [fitToSize] Hide swap width and height button text from translators

commit 26c475ffbb74cefe0822182b3d94710f333b1aad
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Apr 7 20:57:27 2024 +0200

    [fitToSize] Avoid firing slot twice on swapping width and height

commit 84dc83e78ccc4d9d98b8ddfdd572e5ac814bae7a
Merge: 337aee485 0ff411f84
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Apr 7 20:49:04 2024 +0200

    Merge pull request #514 from szlldm/fittosize_swap
    
    [fitToSize] swap dimensions button

commit 0ff411f84165e930c031263d400816ed5c6e3aac
Author: adam <szullo.adam@gmail.com>
Date:   Sun Apr 7 04:00:46 2024 +0200

    [fitToSize] swap dimensions button

commit 337aee485684877fec0bff107e6932d061616daf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 27 07:47:14 2024 +0100

    [i18n] Update submodule

commit c30c468bd213640bcf32ff73ce9374a033f196a3
Merge: e652233d4 d6a993829
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 10 16:06:22 2024 +0100

    Merge pull request #513 from szlldm/scripttb2
    
    [GUI] new Toolbar script buttons

commit d6a993829cb3430db8b625eec3f8f147450cd136
Author: adam <szullo.adam@gmail.com>
Date:   Sun Mar 10 16:02:51 2024 +0100

    [GUI] new Toolbar script buttons

commit e652233d4d4410573b7120b0072ad1afc2e01517
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 9 12:25:13 2024 +0100

    [av1aom] Fix tiling
    
    The typos missed by reviewer resulted in maximum column and row count of 2.

commit 22d7e2c64eb3c30037f64c1ba058e8edffbfe8bf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 9 01:25:01 2024 +0100

    [Q_gui2_menu] Add scripting-dependent actions to menus and toolbar only if script engines are available (incomplete)

commit ab13a3b71c86da642fdc7c43df0cf3fae8f697a8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 9 01:11:59 2024 +0100

    [cmake] Try to fix FFmpeg libs build failure with MSVC by disabling concurrency

commit 1cff044aee461d0de7ddf950c7562de56d0998b9
Merge: b363baeaa 6b8c5f43d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Mar 8 23:28:33 2024 +0100

    Merge pull request #512 from szlldm/scripttb
    
    [GUI] User scripts on the Toolbar

commit 6b8c5f43d7e2cddd1f5f9ad6a7ab57d0daa43252
Author: adam <szullo.adam@gmail.com>
Date:   Fri Mar 8 21:59:32 2024 +0100

    [Q_gui2] reenable toolbar script buttons after playback stops

commit fc6c5e2536811a80cb155b6b13de4bc8bb7f54b8
Author: adam <szullo.adam@gmail.com>
Date:   Fri Mar 8 01:42:19 2024 +0100

    [GUI] User scripts on the Toolbar

commit b363baeaa8e411b991c87b8c88ec12f854fa76d3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 26 23:22:02 2024 +0100

    [i18n] Update submodule

commit 2d03a16045a55225f1fba9f67d386df7a37ad8f6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Feb 15 03:20:00 2024 +0100

    [tinyPy] Fix segfault writing empty configuration value, d'oh

commit d45b1796e2de0dad70c6e0f695ecdeadf6b00b11
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Feb 14 23:42:29 2024 +0100

    [T_QSlider] Hint at marker set to default value by drawing respective selection corners rounded

commit a543c614ffbed88f5e9094ea52efd756c5f8745f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 11 23:08:07 2024 +0100

    [ass] Fix subtitle file path handling on Windows broken by switch to native directory separators, remove redundant std::string constructors

commit 5f96481412217cdeecfb875473bbfd2e85a2679b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 11 22:52:02 2024 +0100

    [Qt/jobs] Escape backslashes and double quotes in paths on *nix only

commit 2ad90002d73f1c76af0283a92b7f9a48bdced28b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 11 22:44:42 2024 +0100

    [tinyPy] Escape special characters when writing scripts, remove redundant std::string constructors

commit 10a003f50ca40ab46e6fc7f486e4f2a98d2a44ca
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 11 22:27:36 2024 +0100

    [core] Simplify, remove functionality to escape special characters from ADM_cleanupPath(), it does not belong here

commit 2f67d8f41e946717099b12d3c90c10716ad067f4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 10 23:14:32 2024 +0100

    [gui_main] Exclude job scripts from the list of recent projects, fix memleak

commit 4b4ab06ab6213de6ff371a0493e7fe4580a2d31b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 10 03:40:53 2024 +0100

    [core] Escape some special characters in file paths for scripting

commit a6a32869dec0d8393fca711f48c3ff3ec38db103
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 10 03:27:54 2024 +0100

    [Qt/jobs] Fix debug messages from cleaning up job list

commit bbcc91dce34200283984029a4bb855380a6f020d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 10 03:25:05 2024 +0100

    [editor/edScriptGenerator] Fix scripting external audio track broken on Windows

commit d31da265b9ade83497b36abaf3c957baede5fe53
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 9 01:37:16 2024 +0100

    [Qt/jobs] Support output containing backslashes and double quotes in path on platforms other than Windows, remove redundant std::string ctors, unify indentation + minor cleanup

commit 217c95ac204b749935e54816d79e61fdb9c7ea65
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 9 01:25:09 2024 +0100

    [coreJobs] Increase verbosity

commit 1e6fea28d33194c22728c5e3949dc1b79727c8dd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 9 01:18:46 2024 +0100

    [coreSqlLight3] Do not escape backslashes and double quotes
    
    This fixes adding jobs on Windows after switch to native directory
    separators and processing of jobs with output filenames containing
    backslashes and double quotes on other platforms.

commit bed7d4127446ce103b9a5688cb2ae9fd060d8767
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 9 01:08:20 2024 +0100

    [Qt/readOnlyText] Convert text collected from input field to UTF-8
    
    This fixes inability to use non-ASCII characters in job names.

commit e2967a4f89c002102fd2dc012ed9748cfe4fa607
Merge: 13d62ae05 94472f822
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Feb 7 22:21:22 2024 +0100

    Merge pull request #511 from szlldm/fix3dlutcrlf
    
    [cubicLUT] fix CRLF bug

commit 94472f8221a51773f1b89560724947344346b68d
Author: adam <szullo.adam@gmail.com>
Date:   Wed Feb 7 22:02:40 2024 +0100

    [cubicLUT] fix CRLF bug

commit 13d62ae05a2213fd8c7d58870b7ed149417b3124
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Feb 1 21:14:43 2024 +0100

    [file_qt4] Convert filenames to native directory separators on Windows
    
    This fixes opening image files broken on Windows if filenames contain digits
    directly in front of suffix, probably a regression from commit 7588039.

commit 2fd1354d47f0e1872aad9a4018bd5acccdcf2780
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jan 29 02:35:07 2024 +0100

    [stillimage] Remove faulty and pointless sanity check, fix mixup of relative and absolute time values

commit 2bf37c053eb1b119da3e48885d0285e6247d4a2e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 19 20:21:10 2024 +0100

    [i18n] Update submodule

commit cdbfa69565856a7942e2e9887d8937511274fd87
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 19 02:29:08 2024 +0100

    [demuxers/Mp4] Factorize, check for duplicate stbl and stsd entries
    
    Loading crafted mp4 files with multiple duplicated atoms led to crashes and
    memleaks. Ignore all but the first sample description.

commit 0b1eda510122679acf561d35ba12bd2f3c245cd2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jan 5 01:32:23 2024 +0100

    [Q_gui2_menu] Update enabled state of menu items upon running a custom script

commit ab52eb69ff9b73ff8d95abc4cc5bba8c39c837e4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 2 23:35:28 2024 +0100

    [demuxers/MpegTS] Add DTS XBR to the list of known ES IDs

commit 6230ee2d6c9f8c0d41f6444ec943c9d3fb6f9e94
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Dec 25 21:02:09 2023 +0100

    [osxInstaller] Use hyphen as version separator in app bundle name, inform about expected codesign warning

commit a45bdb0b897842a899e8bf7743a38e2c2225c6b7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Dec 25 06:29:55 2023 +0100

    [macOS] Fix application not shown in Launchpad

commit ab1f097c44f10fff654c98a91d225958ff33e597
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Dec 20 23:44:40 2023 +0100

    [tinyPy] Reject one-in-a-million chance of runaway loop in pyTool_randint(), make unaltered pyTool_date() output usable as filename component on Windows

commit 35efcfdd1d7d5c276d477778b202b11331c68be9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 19 22:41:45 2023 +0100

    [tinyPy] Implement ADM_pyTools functions left as empty stubs with MSVC

commit 056c19aa3567e895b22188b0467a5e260828bfee
Merge: 8279d9b7d c6db80e19
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 19 07:47:53 2023 +0100

    Merge pull request #510 from szlldm/hdrfix
    
    [ADM_toneMapper] fix stride issue

commit c6db80e198270f60aeae8bb9a7ac14fc70b4f113
Author: adam <szullo.adam@gmail.com>
Date:   Tue Dec 19 07:28:26 2023 +0100

    [ADM_toneMapper] fix stride issue

commit 8279d9b7d00adecfd9c7d3c0d6d6be0aec9102a0
Author: mean <fixounet@free.fr>
Date:   Sun Dec 17 11:55:08 2023 +0100

    fix tinypy vscode workaround

commit 4ae1947784d75e65310ea7846872d5fe5addc724
Author: mean <fixounet@free.fr>
Date:   Sun Dec 17 10:47:28 2023 +0100

    win32: workaround the missing unix functions in ADM_pytools by providing empty stubs

commit ed2abbc554ccce06111c023a879708692a10426a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 12 22:35:12 2023 +0100

    [README.md] Mention that file system where the source is located must be case-sensitive, unify Apple desktop OS name spelling
    
    Apple's APFS is case-insensitive by default. Compiling Avidemux on such a
    file system will fail.

commit 76ce070be88b30d1b363801ad93272d26dbfbf6d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 12 22:14:49 2023 +0100

    [i18n] Update submodule

commit 88e745f0af2457a007c805fa8dfd55cf12cb9109
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Dec 9 23:38:49 2023 +0100

    [i18n] Update submodule

commit 49e31261e44cc51893844b3a733f233f124adef6
Merge: 0ca1b22bb 36784f374
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Dec 9 23:32:23 2023 +0100

    Merge pull request #509 from szlldm/light
    
    [Q_gui2] fix "Light theme" palette; always show "Default theme" option

commit 36784f374884891d99e3092af3ad287ed7d32f26
Author: adam <szullo.adam@gmail.com>
Date:   Sat Dec 9 02:34:48 2023 +0100

    [Q_gui2] fix "Light theme" palette; always show "Default theme" option

commit 0ca1b22bb915f2446d0ab3f9f699c701b69bcd5f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 5 01:02:03 2023 +0100

    [i18n] Update submodule

commit e17faae17e689a409f69a63870219a9ea0f35d8b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 5 00:56:58 2023 +0100

    [Q_gui2] Fix missing preposition

commit d145162063de5336e963b7ab518f8d6f06efad08
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 5 00:38:51 2023 +0100

    [cmake,ffmpeg] Update bundled FFmpeg to 6.0.1, drop upstream patches

commit 9adc3ae6df426e682e0561527b0faf64d09b50bb
Merge: 35239ec29 ff4ba5ee2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Dec 5 00:04:36 2023 +0100

    Merge pull request #506 from szlldm/videolag
    
    [GUI] indicate lagging playback on the statusbar

commit ff4ba5ee2163ed056d292a9ef0b290fa87b2be36
Author: adam <szullo.adam@gmail.com>
Date:   Sun Dec 3 22:33:13 2023 +0100

    [GUI] respect refresh cap in case of video lag indication

commit 89cbdc8506b2b3319c1d39aa1d30eb612a221f3b
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Dec 2 19:07:49 2023 +0100

    [GUI] indicate lagging playback on the statusbar

commit 35239ec29f6fc326a285a2a4226cca7fc8efaabc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Dec 2 16:21:46 2023 +0100

    [README.md] Add Apple Silicon specific instructions for macOS

commit 42c5ed2f946d038620bc907838da1e88d1524cb9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 27 22:46:32 2023 +0100

    [gui_main] Exclude custom scripts from the list of recent projects

commit 6b1183f0968f4d2cb5ff237c336425b46c478cf8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 27 00:17:40 2023 +0100

    [tinyPy] Add seekBlackFrame method

commit d7cf7a55903f1f8ae9a0a4709cd49edf9162b6e8
Merge: 6fad380ba 792f09075
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 26 23:30:42 2023 +0100

    Merge pull request #505 from szlldm/bugz
    
    small bugfixes

commit 6fad380ba9e1d59d173cc317b1d8a424b6a6f4c7
Merge: 7695c41f1 1296e0d29
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 26 23:24:20 2023 +0100

    Merge pull request #499 from szlldm/tinyxt3
    
    [tinyPy] extensions

commit 792f09075e32a1522696733e783058379ff86326
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Nov 24 18:56:10 2023 +0100

    [ADM_core] make ADM_assert() a proper function-like macro

commit 4b3bfe3126f6cb4aedca76a9d5da599820375896
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Nov 24 16:12:43 2023 +0100

    [ADM_nvEnc] fix missing return statement

commit 6ec3dc7263a4dded52e2aa381863444a85570c1e
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Nov 24 16:08:37 2023 +0100

    [ADM_nvwa] fix missing return statement

commit 401f34589cf92a3fca63dde937f01b3a5450a4f3
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Nov 24 16:02:46 2023 +0100

    [ADM_dynamicLoading] add missing va_end()

commit 7695c41f16a4c0839a79f317f5599a78882f3588
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 19 02:57:08 2023 +0100

    [osxInstaller] Add convenience script for adhoc signing application bundle installed to the default location

commit ef436d9c0c75428db7a8d06590387b394749460c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 19 02:49:11 2023 +0100

    [osxInstaller] Fix VapourSynth demuxer plugin relinking on ARM64

commit 02a7655cb7b822d9dbee702566301f83dff79a3c
Merge: 0f4870913 e233b1864
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Nov 18 13:14:31 2023 +0100

    Merge pull request #504 from szlldm/flat360
    
    [videoFilter] New filter: Flatten 360

commit e233b18640634ba87c15bf5d6147952a1b75663d
Author: adam <szullo.adam@gmail.com>
Date:   Sat Nov 18 12:15:20 2023 +0100

    [flat360/qt4] improve encapsulation

commit 0f487091301547c870884cd343a4b244f3c7f5e1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Nov 16 21:34:58 2023 +0100

    [file_qt4] Stop navigation keyboard shortcuts on macOS from breaking file dialog
    
    On macOS Sonoma (possibly already on Ventura), actions inside menu bar menus
    of the main window remain enabled when native file dialog is opened, with
    keyboard shortcuts used for navigation in video taking precedence over basic
    navigation in text fields and allowing undesirable effects like opening other
    dialogs atop of file dialog.
    
    Disable menus in the main window as long as macOS file dialog is open.

commit 35a950269fac37d6101210c30c677ea86d5d7957
Author: adam <szullo.adam@gmail.com>
Date:   Sun Nov 12 02:43:06 2023 +0100

    [videoFilter] New filter: Flatten 360

commit e949fa3e1d1e316c14d4d1b7d750cf0c77ee5a3b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 12 01:29:23 2023 +0100

    [build] Use default macOS SDK
    
    This reverts 0e5d7d9 which is not needed anymore.

commit e04fc1b552d20741307d83d76849a3b0787a677f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 12 01:21:52 2023 +0100

    [coreJobs,coreSqlLight3] Fix build with macOS SDK 13 and later

commit 3da57e43f230783aabc92063cfc5da77152df663
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Nov 11 00:39:09 2023 +0100

    [nsi] Request admin execution level for the installer

commit 25a52f0adead83033ad73b541c67006811042553
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 10 01:49:47 2023 +0100

    [alert_qt4] Interpret underscore in button titles as keyboard accelerator

commit 5ca8c44030feca1ea78c8ddc3cd4ab982d93eb45
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 10 01:33:39 2023 +0100

    [Q_processing] Fix confirmation dialog
    
    After bff809c the buttons did the opposite of what their labels suggested.

commit 7ce6584d445423154aad8e3a6dfa952a0e208953
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 7 01:58:17 2023 +0100

    [nsi] Update the list of dependencies to package

commit 790c71d74104787e39e5d5adbcea4091f369eddc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 7 01:53:19 2023 +0100

    [winInstaller] Try using NSIS built-in multi-user functionality + ShellExecAsUser plugin as replacement for the broken UAC plugin

commit 291b7d7aab70b7457a743e96e803f9fa07191dcb
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Nov 1 21:36:59 2023 +0100

    [appImage] Add options to appImage script to run non-interactively
    
    Pass --no-install-deps to let the script fail instead of trying to build
    and install missing dependencies, that requires sudo permissions and a
    console.
    
    Pass --no-fail-missing to continue even if some dependencies cannot be
    installed.

commit 5ce624e466cadb479291c4eae73552a8d205cfac
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 21:27:53 2023 +0100

    [audioDecoders/vorbis] Fix decoder init broken by use of uninitialized memory

commit 5b637ae04773b417c9e6b47ba015abf458a9c151
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 20:00:05 2023 +0100

    [ffmpeg/patches] Add upstream patch to fix build with latest nv-codec-headers

commit 2944505b3a561c3301a108dcf2b96d7c8029e0fc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 15:49:05 2023 +0100

    [coreJobs] Safeguard against double free

commit d086652aba0b176d57b2d2d4a16d5e09c21235f2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 15:44:47 2023 +0100

    [gui_save] Fix memleak on failure to init jobs database

commit 98ec117792998b9226321495a99172b326263501
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 15:10:47 2023 +0100

    [coreJobs] Change database filename to jobs_sql.db to avoid confusing file managers, check for overflow

commit 4fc46b6415373f539a8cc7974258e03566f88a30
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 14:29:14 2023 +0100

    [ffmpeg/patches] Add upstream patch to fix build with latest binutils

commit d5ce32fd41498c214a2664e5f030ecb384036531
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 31 02:34:04 2023 +0100

    [ffmpeg/patches] Add upstream patch fixing Vorbis decoder

commit 716a8081c2913fd9b85065ae7bc363877d356a83
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 30 00:42:46 2023 +0100

    [crashHook] Do not suggest loading empty crash file

commit e3478046e2f0981305d70c14277b28450d443b79
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Oct 29 01:22:20 2023 +0200

    [documentation] Update cross-compiling how-to

commit 5be58617441411b62f7dcb306f1a872fff934c85
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Oct 29 01:17:25 2023 +0200

    [build/cross] Build for 64-bit Windows by default

commit 58e10d1faf13750a303f3c5fefcc85b7a27fc30c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Oct 29 01:02:57 2023 +0200

    [nsi] Add ICU and brotli libs to cross64 script, update zlib name

commit 156a654565761ee363c54d0b4a6e26e539cc3206
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Oct 29 00:54:38 2023 +0200

    [build/cross] Add brotli libs, now required by freetype, drop obsolete OpenSSL libs

commit 0d7937c098fb8fa4bbcabffa6ac610b256f2c7e8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Oct 29 00:51:12 2023 +0200

    [mxe] Drop obsolete zlib patch, add patch to update libvpx

commit a11b3f76bb5a70b733646de00ab04e960f09e8a5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 27 20:47:43 2023 +0200

    [gui_main] Allow to separate use data and configuration, replace defines with static functions, remove redundant std::string constructors

commit 83cbffb06c8badb500c0a5a8dfffd31f7a7092db
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 27 20:37:07 2023 +0200

    [code,coreUtils] Separate user data and configuration on Linux, check for overflow, improve legibility

commit 947eb1503905c231fdf496243896f1bcf71afe22
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 27 20:06:27 2023 +0200

    [core] Use XDG Base Directory on Linux, patch by Hildigerr Vergaray

commit 677be171781ce22c0abe347643432abf8f336f94
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Oct 25 01:51:53 2023 +0200

    [demuxers/Mp4] Support s32le PCM audio tracks

commit 309ad46f6cee2866f17d07b270241b1ca373f3ad
Merge: 3d0e3f138 13bd154e9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Oct 25 01:47:35 2023 +0200

    Merge pull request #503 from szlldm/wav64
    
    [ADM_audio] s32le & s64le PCM

commit 13bd154e9f9d8eea289eb6fd90b2dc29bbbc6ec9
Author: adam <szullo.adam@gmail.com>
Date:   Tue Oct 24 22:19:48 2023 +0200

    [ADM_coreMuxer] enable s32le and s64le PCM muxing

commit edea0b01c157eb8abed0804002469191371ce52d
Author: adam <szullo.adam@gmail.com>
Date:   Tue Oct 24 22:09:18 2023 +0200

    [ADM_audio] enable s32le and s64le PCM decoding

commit 3d0e3f1382b1f147dc8a6a773da12efa63228f03
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 23 11:08:53 2023 +0200

    [vp9] Fix upper quantizer bound in configuration dialog

commit e2b1ad2b27ee2a35eff080d491780c5e379b0df4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 2 22:21:37 2023 +0200

    [build] Update Ubuntu and Fedora convenience packaging scripts to build against system libass

commit 46704253814b5ad5995815c9a74be9612f24a2c6
Merge: 01ecb9b0d bdf7faf26
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 26 22:59:38 2023 +0200

    Merge pull request #502 from szlldm/play_filtered_btn
    
    [Q_gui2] Play filtered button On/Off

commit bdf7faf269b5cb156167fc1bfc146dd4ad98ab63
Author: adam <szullo.adam@gmail.com>
Date:   Tue Sep 26 22:14:51 2023 +0200

    [Q_gui2] Play filtered button On/Off

commit 01ecb9b0d54390c24b3199c8dce5949e7348720c
Author: mean <fixounet@free.fr>
Date:   Mon Sep 25 06:28:29 2023 +0200

    nv+vs : workaround for missing UINT64_C. Hackish

commit 33eb8110826a72c71f0ce92b51397418367e66bf
Author: mean <fixounet@free.fr>
Date:   Sun Sep 24 10:01:29 2023 +0200

    NSI: update nsi so i can cope with newer libffi

commit 4406c87ce212181d807698b8f381fa88b9f9f119
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Sep 21 01:37:20 2023 +0200

    [i18n] Update submodule

commit a02a2565c56760076d74a050ec805d1d9d83f25d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Sep 18 20:29:50 2023 +0200

    [x265] Allow to specify color range, move color range checkbox to the display tab

commit d0eb8fcd2e2a97a561a99b2bf858c0f80b843db3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Sep 13 21:25:23 2023 +0200

    [muxerMkvConfig] Improve maintainability by deriving number of elements from array size

commit a11ee3771dee31837997de59e08f3f17142c710f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Sep 13 20:49:50 2023 +0200

    [muxerMp4] Clean up config dialog code

commit dd023f161ead4a076d521296a3d84b33271869fa
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Sep 9 00:07:41 2023 +0200

    [mxe] Check out libaom v3.7.0

commit f645a801d9bac30d4a7ecdcf0eab027a307b35d6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 8 23:59:01 2023 +0200

    [av1aom] Bump upper AOM_USAGE_REALTIME speed boundary to 11 starting with libaom v3.7.0

commit 979341f87390140522c9a221a9200ab3ddf2d94a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 8 23:50:59 2023 +0200

    [cmake] Require libaom v3.2.0 as minimum version

commit f73cf3e8e31c38268d40c1fe37c065f47d030fba
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Sep 7 01:53:08 2023 +0200

    [av1aom/dialog] Remove workaround for bug in tiling control, clarify wording of tooltip

commit 9c9e58518231fb1755079d6b4b91e8e9e08cb5d1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Sep 7 01:46:39 2023 +0200

    [Qt/dialogFactory/tiling] Fix range, set tooltip

commit 0fa3ef4634928bad5850e11ca495a10a643657d9
Merge: ac7fc7885 b9f53303d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 5 07:56:16 2023 +0200

    Merge pull request #501 from szlldm/aomenh
    
    [av1aom] More encoding options

commit b9f53303d29a1247d75a04c17d997870f30be7bc
Merge: e7816c6e7 b4a3ba0b5
Author: adam <szullo.adam@gmail.com>
Date:   Tue Sep 5 06:41:15 2023 +0200

    Merge branch 'aomenh' of github.com:szlldm/avidemux2 into aomenh

commit e7816c6e7325db441144c128a04639aec53ca965
Author: adam <szullo.adam@gmail.com>
Date:   Tue Sep 5 06:39:01 2023 +0200

    [av1aom] use diaElemTiling

commit d8ae008c3e2c51f0d2c313849853c522e905b442
Author: adam <szullo.adam@gmail.com>
Date:   Sat Sep 2 20:12:38 2023 +0200

    [av1aom] More encoding options
    -add realtime usage option
    -extend quantizer range
    -extend speed range
    -add tiling options

commit ac7fc7885c69fbce3ae2a9fa23e48e7877794187
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Sep 5 03:14:23 2023 +0200

    [coreUI,Qt/dialogFactory] Add control to set tiling

commit b4a3ba0b5c0ff437a019f18ca8955c7c989b96aa
Author: adam <szullo.adam@gmail.com>
Date:   Sat Sep 2 20:12:38 2023 +0200

    [av1aom] More encoding options
    -add realtime usage option
    -extend quantizer range
    -extend speed range
    -add tiling options

commit 5a394f2139684554c0341c81d4a0e08fd62a3f58
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Sep 1 08:16:19 2023 +0200

    [appImage/deployBusterMinimal] Package the right libaom version from the right location, d'oh

commit a20e37a1aaa84b23089b5daa19117b6134b3b03b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 31 23:48:22 2023 +0200

    [alert_qt4] Fix bad copy and paste, use informative text to display message body on macOS only

commit 1d2ea898bd55d65c48b8dc231562c73b18902ae7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 31 23:16:37 2023 +0200

    [appImage] Build libaom version needed by AV1 encoder plugin from source, install more recent nv-codec-headers version to enable AV1 support via NVDEC

commit dce215069394cfca230e2eb069aaa127b76a90e1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 29 00:03:32 2023 +0200

    [videoCodec] Fix build with NVDEC enabled on Debian Buster

commit 7cf7c476d357c7806af96fc584fc230596e17f63
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 28 02:24:57 2023 +0200

    [alert_qt4] Fix printf arguments, oops

commit ff8ea14566d3ee331fb1adf4a9a52874bd0303f9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 28 02:12:01 2023 +0200

    [i18n] Update submodule

commit 034c78e36dff50f897d4a842cb603b7f294d0116
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 28 01:43:22 2023 +0200

    [alert_qt4] Make dialog text selectable by mouse on supported Windows versions, print description to console too, not just the title, factorize, remove unused obsolete functions

commit 0b2790542945e1c0be8ec850d4e2e4bb6308f071
Merge: 02f2daed4 6f65728b3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 27 13:48:49 2023 +0200

    Merge pull request #487 from szlldm/uxi2
    
    [GUI] use less confusing cursor to indicate busy state

commit 02f2daed4f627bec80dd44fe88f78f8674d10100
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 27 00:18:17 2023 +0200

    [ivtcDupeRemover] Check that compiler is GNU prior to checking version

commit 4a717b5b466fe6bb93035a28e9875e0c3e581d54
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 27 00:17:25 2023 +0200

    [fluxSmooth] Fix size of array rather than loop exit condition, check that compiler is GNU prior to checking version

commit 276cd2c85df5bc86efdafb85e83cdfff563634af
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 27 00:03:25 2023 +0200

    [cmake] Disable build of AV1 encoder for libaom versions older than 3.0.0
    
    Saving to mkv / webm fails on Debian 10 with libaom 1.0.0 and performce is
    abominable. Not worth the hassle.

commit ab5ddccd69bc3ce1224e6de057b377343ad547bd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 26 23:52:47 2023 +0200

    [coreMuxerFfmpeg] Fix debug message

commit 35976c571db57cb888152d5d168b2365264a3f2d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 25 15:07:32 2023 +0200

    [vp9] Copy encoded frames to intermediate buffers, fix memleak
    
    API states that any subsequent calls to vpx_codec_* functions may
    invalidate data buffers pointed to by output packets. Copy data to buffers
    we own to be on the safe side.

commit de65288a6dcb4345d67696e763249b491de3ae38
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 25 12:34:46 2023 +0200

    [av1aom] Define AOM_RC_SECOND_PASS for old libaom versions

commit a6b01a873f9ed4c59121deff16f82ab2cf237133
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 25 12:25:03 2023 +0200

    [av1aom] Replace define with backward compatible value

commit 246b01a5d05e25ac91e2727652375bca34d567b1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 25 10:13:17 2023 +0200

    [av1aom] Hide recently added encoder configuration options from older library versions

commit 6c075feb6acdfcc485cfa3cf7e8619a20acdf782
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 25 01:00:23 2023 +0200

    [cmake,videoEncoder] Add libaom-based AV1 video encoder plugin

commit 1296e0d295f87c737a9cbb997bd700dabed38447
Author: adam <szullo.adam@gmail.com>
Date:   Thu Aug 24 01:46:11 2023 +0200

    [tinyPy] add TextToClipboard method

commit 4f570a746d501c4d2b004deeec536c3d26b954dc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 23:28:34 2023 +0200

    [cmake] Tentatively enable NVDEC in FFmpeg for MSVC builds too

commit fa18eee40d0425de83c84612aab3f3577fbcd033
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 23:06:40 2023 +0200

    [documentation] Update cross-compiling how-to
    
    Build of fluxSmooth and ivtcDupeRemover video filters does not need to be
    disabled with recent GCC versions anymore, incompatible SIMD code paths are
    avoided internally.

commit ed1e390a3abbf8aa1b581f11fcf11869d364484a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:58:19 2023 +0200

    [mxe] Fix setup failure due to requested zlib version removed, install compatible nv-codec-headers version, disable 32-bit target, out of curiosity switch to GCC 13

commit a577d570dc16f77b7ff55ed53ea88dc7dd74c8b4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:46:42 2023 +0200

    [mxe] Update libaom script to install v3.6.1, enable encoder else build as shared lib fails

commit 9ab246626c9e6470bfd65ae2a6e110614c704cad
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:36:21 2023 +0200

    [build/cross] Package ICU libs now needed by Qt in MXE

commit 3d606685e1bc54ff33c64963e172db385678fe89
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:33:52 2023 +0200

    [ivtcDupeRemover] Work around build failure in MXE by disabling assembler code for gcc versions > 5, silence compiler warning

commit b899bc20af3b6618f823a7daabe3a018feab1543
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:30:46 2023 +0200

    [fluxSmooth] Fix access past the end of array, disable assembler code when cross-compiling with gcc > 5 for now to fix build

commit af9c0b3c95413a6d078d50a65a96050874e1a34f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:11:41 2023 +0200

    [DIA_prefs] Add NVDEC toggle on Windows

commit aca8ffd1cc81cc48dcd4fc608ab7c44bc85833bc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 22 22:07:24 2023 +0200

    [cmake] Enable NVDEC in FFmpeg for cross-builds

commit 7a19fa6f0718b461b37aa374adb3de6a7d6fa4ee
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 21 15:34:43 2023 +0200

    [Qt/dialogFactory] Fix memleak

commit aff4b9d61a1a71d46ed4b8f0296609b298d52c5e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 20 17:33:02 2023 +0200

    [Q_shell] Make sure output of print() in the scripting shell is newline-terminated

commit 4e3b6706aecffc0b58e89323e2d4da78b4021490
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 20 17:17:29 2023 +0200

    [tinyPy] Stop producing empty debug messages via consoleEventHandler

commit fb71273738ebec62afed3928586037a8ed9145c2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 19 01:49:06 2023 +0200

    [gui_navigate] Try to seek to picture at target PTS, not always the previous one, abort seek early if out of range

commit ae6849b78cb157725505ba998a5390dbe19b98e8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 13 19:49:11 2023 +0200

    [fdk-aac] Add support for VBR modes, remove explicit SBR, irrelevant for AOTs we request, from configuration

commit 0e5d7d95ebfdbd3fdb6ac1ffbb27dd5048915da3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 13 00:27:46 2023 +0200

    [build] Request older SDK to fix build for ARM64 on macOS Ventura

commit 6ab1ca03f6a823a19e592d5a8a7d5898f8a8b6bc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 13 00:11:03 2023 +0200

    [build] Stop flood of useless warnings on macOS

commit e019179a86c700d83268a3443411c9abd3e0db83
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 12 02:46:12 2023 +0200

    [coreMuxerFfmpeg] Replace deprecated function to set channel layout with supported equivalent

commit 1c68836aa49f23388eee35543170905135bebe00
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 12 00:35:08 2023 +0200

    [coreMuxerFfmpeg] Satisfy libavcodec API requirements

commit 453f9384ab4b96120e99bf116868d94587f2ca09
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Aug 11 03:05:39 2023 +0200

    [fdk-aac] Fix crash on failure to initialize encoder

commit 5a4dd0d99cf8b1dfa846e2ec5f12b62dc84d249f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Aug 10 01:18:32 2023 +0200

    [coreAudio/audioWriteAAC] Fake AAC LC as lesser evil when dealing with audio object type codes not fitting into two bits, improve debug messages

commit 7754ba8ecd71c50a54729c310b8f55b4ec156cf1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 9 01:42:51 2023 +0200

    [nvdec] Extend probing, check video to satisfy decoder constraints

commit 5ebef921c596c589de66317e7eb7c19693df11ac
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 8 14:43:30 2023 +0200

    [coreLibVA] Do not query surface status during initial probing

commit 7289f7cfad69a1b46963f9588093d7d9a4c62288
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 8 11:34:36 2023 +0200

    [main] Fix CLI app build, move hwaccel-related function declarations to a single location

commit 65235c8aa26cd947b941ceb456c33f0b06dd32e1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 8 00:49:23 2023 +0200

    [DIA_prefs] Disable and uncheck toggles for hw decoders on Linux not detected as working

commit 12b8ec48dc8e02fdff1e77693c8c54f6e4343518
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 8 00:24:31 2023 +0200

    [videoCodec/vdpau] Probe only once, cache the result

commit ba5eb41c762d83b059d4b173726a0b6d7a037657
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 8 00:22:58 2023 +0200

    [videoCodec/libva] Probe only once, cache the result

commit cc753924dbc435447628e03c9c6d47e4f4823189
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 8 00:19:21 2023 +0200

    [nvdec] Fix typo

commit ba5285e5ffa0e60cdf7074bd9f5ae07fb0ed9cfe
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 7 17:54:56 2023 +0200

    [videoDecoder/aom] Delay libaom init until hw decoder has been proved unavailable

commit 251767c707692a91630adc3200525a84b1b8d9ec
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 7 17:31:03 2023 +0200

    [DIA_prefs] Add toggle to enable NVDEC hwaccel, streamline preprocessor defines

commit 94a1ac789e200c4d67b99770d6258c3aa5ffeba5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 7 16:23:08 2023 +0200

    [prefs,main,nvdec] Add preference to enable NVDEC, wire the hwaccel into application

commit 6b9fa590208b281751dd0fcea8fe64fe79ff5cf8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Aug 7 03:06:42 2023 +0200

    [cmake,nvdec] Implement NVDEC probe

commit 431dba27a5a6e47b13cd53bc97f9c6125b77f121
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 6 03:21:16 2023 +0200

    [cmake] Enable NVDEC in FFmpeg too for now when NVENC is enabled

commit a61409765f08a416a5a4d39419a37bc576804f7a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 6 03:15:04 2023 +0200

    [videoCodec/nvdec] Fix color info propagation

commit 7ce3fc8c84a406d45badaed9403c8183effac5bb
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 6 03:13:53 2023 +0200

    [coreVideoCodec/ffmp43] Factorize

commit 49ed515059caa1d0e38439cbe0fde230c7151c03
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Aug 6 03:06:10 2023 +0200

    [editor] Set source pixel format and color info for the actual ref video, not a local var, oops

commit 959f48a46dae743f70c1c68bf0f886f13d6f16d7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 5 19:15:52 2023 +0200

    [videoCodec] Add wrapper for NVDEC-based decoders in FFmpeg, not yet wired
    
    Major parts like probing for AV1 support not implemented yet.

commit 08eaf410410f1e89e962cef45cecf7db36cf5dd0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 5 19:05:19 2023 +0200

    [coreImage] Add NVDEC to known hw image types

commit ef8a2165df51d0f58c34da3685f52a273c5abea9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Aug 5 19:02:54 2023 +0200

    [audioDecoders/lav] Fix memleak

commit f4366c56d6b9adb2d67395ab855249eb24137214
Merge: b564488a9 f10df2804
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Aug 2 22:01:44 2023 +0200

    Merge pull request #500 from barracuda156/ppc
    
    Fix missing symbols on PowerPC

commit f10df2804df787707d80a1e1869400946d844eaf
Author: barracuda156 <vital.had@gmail.com>
Date:   Wed Aug 2 19:28:48 2023 +0800

    Fix missing ADM_swap64

commit 70c295ef096b31f49c518dca332272265ea8b4bf
Author: barracuda156 <vital.had@gmail.com>
Date:   Wed Aug 2 16:50:42 2023 +0800

    ADM_coreUtils.h: fix symbols export

commit 9fbbb99a48fce833e817deae78b49cfb13691e0d
Author: barracuda156 <vital.had@gmail.com>
Date:   Wed Aug 2 16:07:29 2023 +0800

    ADM_imageSave.cpp: add missing header

commit b564488a9c36d42290decc5a1671eff96e178ab7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 1 15:35:55 2023 +0200

    [videoDecoder/aom] Fix massive blunder, no double decoding intended, oops

commit 485b86750d42ac5b33bf81cec63b8bae98355301
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 1 15:07:51 2023 +0200

    [coreLibVA] Disable checking for YV12 indirect transfer with Intel iHD driver, it crashes on recent Intel hw

commit 2d78a962a8e1853a152c9e7620b68211316b089e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 1 14:37:51 2023 +0200

    [coreLibVA] Remove obsolete define, it was wrong for current hardware and drivers

commit d3bc57d9e55171e44eb55aeff5beab3203be3ab4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Aug 1 00:56:48 2023 +0200

    [codecFFsimple] Really disable multi-threading for AV1, d'oh

commit 0108ad41570fd61e2b7f4e0ea0c64c28080f2614
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 31 15:36:08 2023 +0200

    [coreLibVA] Blacklist indirect transfer with iHD driver, partially overridable, wait for surface to be available prior to calling vaPutImage too, factorize

commit f6db33478373911f51bcadb4aa986d8e8ff8393f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jul 31 15:24:35 2023 +0200

    [coreLibVA] Follow FFmpeg in libva driver quirks enum values

commit 26eb27a7c508ebfd48dee23df074618a73458acc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 01:48:10 2023 +0200

    [documentation] Update cross-compiling howto

commit d99bc4021ab1d449d84e6b06f873157b318b3f87
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 01:37:16 2023 +0200

    [videoDecoder/aom] Try to outsource all the work to a hw decoder wrapped by a core decoder, libva-only for now

commit c3ee7df9fc39c17a49b8726a494e888601fa3e36
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 01:18:46 2023 +0200

    [videoCodec/libva] Copy PTS directly from the last AV1 packet instead of using AVFrame.reordered_opaque
    
    An AV1 packet / a frame may contain multiple pictures in a Temporal Unit,
    all of them sharing the same PTS value in reordered_opaque. Take PTS from
    the last frame passed to the decoder instead.

commit 624756bc1efeab206e5e89b222cdbe60b63f645b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 01:11:39 2023 +0200

    [corecFFsimple] Automatically disable multi-threading for AV1

commit 22169d523b94658ce65e211697fd3f964dcaf385
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 01:09:34 2023 +0200

    [coreVideoCodec] Mark AV1 decoder as failed when no hw decoder is available

commit 1bd4f63ae99fe3dd8318a4dcab9ae6d67624993e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 00:50:22 2023 +0200

    [coreVideoCodec] Use existing virtual function for FFmpeg-based decoders as well, fix typo

commit 2506b92e35463458c8c6192cac9b301c1199812f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jul 29 00:33:01 2023 +0200

    [cmake] Enable AV1 decoder in FFmpeg
    
    This decoder is merely a wrapper for hw decoders, there is no native
    implementation.

commit 87dd1b4b4048cda5ed96ac2d19f695c7f422a087
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jul 25 00:49:49 2023 +0200

    [libva] Fix indirect transfer from hw surface to ADMImage for 10-bit video, probably incomplete

commit 5af105692748074971fd73ce5c1ce63c062f6f3a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 23 18:16:42 2023 +0200

    [videoCodec/libva] Always invalidate hw image referenced in ADMImage passed to decoder

commit c903845d533cb8b53a457f5bb3627d75d33a3fdc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 23 03:50:13 2023 +0200

    [editor/cache] Do not mess up hw image ref count

commit b507a9cc21890bf6a39365295dbba773dd92b9c0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 23 03:44:23 2023 +0200

    [libva] Track hw surface ref count for libavcodec separately, allocate surfaces on-demand only, improve cleanup in dtor

commit 79f1eaf7a938d45341ff87e2b32ce282d206db1a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 23 03:33:01 2023 +0200

    [coreImage] Fix ADMImage duplication function
    
    We need to increment refcount for the hw image referenced by the source
    ADMImage first, decrement for the target second in order to catch the case
    of both referencing one and the same hw image. If so, we just increment the
    refcount.

commit 20e11bca47093b5a92253ce5a2750d30ca719fb3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 23 02:21:14 2023 +0200

    [coreImage] Let hw accel convey the information whether underlying hw surface has been freed or not

commit bb326089668cc4e091cdb1bf9ea4895bece63bbc
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 23 01:39:06 2023 +0200

    [coreLibVA] Prepare to track hw surface usage by libavcodec separately, clean up more thoroughly

commit efc93c8e29f5c2a003144199e50179d913f7b00a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jul 21 02:54:20 2023 +0200

    [Q_gui2] Make valgrind happy

commit 61b27908b4d7a08b412056586d917d93608276ba
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jul 19 00:49:03 2023 +0200

    [coreLibVA] Initialize variable, abort query early if libva reports zero supported profiles

commit 192a56014f4b216a55e59c48fbc2591694638b12
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jul 18 16:49:14 2023 +0200

    [libva] Do not disable hw accel when H.264 is unavailable, prepare AV1 decoding support
    
    Fedora ships Mesa with H.264 and HEVC disabled which affects amdgpu, but we
    still can use hw decoder for VP9.

commit 9f84a40f5b91bfe4c129a06cd00d2cadff85fabe
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 16 19:10:21 2023 +0200

    [ffmpeg/patches] Allow direct mapping of VA-API hw surface to VAImage for yuv420 at least on Intel

commit bc582858bff59c819b08f84123870fa5376866c7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jul 16 00:56:55 2023 +0200

    [libva] Stop leaking memory and hw surfaces on repeated get_format() calls

commit 51fe20bd10353d11353e49822b64f7a5e17187e0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jul 6 22:42:09 2023 +0200

    [demuxers/Pictures] Limit number of digits when checking for sequenced files to 8, add some paranoid bounds checks

commit 36c74260cf0346c5d85b50f714586a7e2b9e905e
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jun 27 01:10:14 2023 +0200

    [gui_main] update custom menu on script shortcut config

commit caf341e103e77b5f31f216326d8141aa881dba09
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jun 27 01:06:12 2023 +0200

    [Q_scriptShortcutConfig] fix dialog initial size, add clear functionality

commit 5575e060373bf2070d81a8d51e348c4440b64557
Author: adam <szullo.adam@gmail.com>
Date:   Mon Jun 26 23:44:38 2023 +0200

    [ADM_userInterfaces] simple UI to configure user script shortcuts

commit 466d7c7198e5ea02092ab37b76c832473ac540f3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 26 08:53:22 2023 +0200

    [ffmpeg/patches] Add upstream fix for NVENC detection

commit b0b2e2510343d0ed10a161cfe7fe2cdfcf5c42f6
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 25 22:48:33 2023 +0200

    [Q_gui2] scriptFileActionHandler: prevent multiple script execution and keyboard input congestion

commit 3b4520dce0bb9388a6603c2674fca5a61539faa5
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 25 22:42:48 2023 +0200

    [Q_gui2] shortcuts for Custom scripts; stored in QSettings

commit d8cdbc1dd1cda68e3f92d6223d2ca3d74f5f1109
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jun 25 19:03:37 2023 +0200

    [appImage] Add script for Debian Bullseye as build system

commit 92e8205ee840913f4e6128a404d802af0743fbd9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jun 25 18:54:36 2023 +0200

    [appImage] Package Qt platformtheme plugins too
    
    This lets Avidemux use native file dialogs in GTK-based environments when
    qt5-gtk-platformtheme is installed in the build system.

commit 3fa8e171d523e0bbc70f4138dbec1ec02d03f1ed
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 25 03:10:27 2023 +0200

    [tinyPy] add date() to Tools

commit 491232045d18a7e5d7b1a4b6a1dff06ad6a6e3c2
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 25 02:54:24 2023 +0200

    [tinyPy] add Qt Gui specific functions

commit fcf6199d26542e6187ac9fe0fc0cb6f693b554fc
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 25 02:54:03 2023 +0200

    [Q_gui2] extend UI_tweaks

commit a6485abb66491725533ed1333691c5cfd991c524
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 25 00:53:03 2023 +0200

    [ADM_coreUI] add GUI_tweak interface

commit 7e7f2ad8741023ff0ec31cd40992aa558f1c46a1
Author: adam <szullo.adam@gmail.com>
Date:   Sat Jun 24 22:24:29 2023 +0200

    [tinyPy] Tools class

commit 6b2b0784a03c20446747ea8cc484577d186decae
Author: adam <szullo.adam@gmail.com>
Date:   Sat Jun 24 15:36:06 2023 +0200

    [ADM_shell] resize splitter

commit ad6e662285b9cd65c23854daab821c096a742796
Author: adam <szullo.adam@gmail.com>
Date:   Sat Jun 24 02:00:03 2023 +0200

    [tinyPy] Memory class for runtime persistent variables

commit 06b4da09db7e765227f21f2959117ce94b29d461
Merge: 037d282ca c34df8c37
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jun 20 19:59:08 2023 +0200

    Merge pull request #498 from szlldm/tinyxt2
    
    [tinypy] improvements

commit 037d282cad4bc0c1365eb0f0af8b713ff560d00f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jun 20 19:44:01 2023 +0200

    [editor] Trust caller to check return value rather than crashing out of abundance of caution when no video is loaded

commit c34df8c379c0336ac225c668b0cb11081078b03e
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 22:51:09 2023 +0200

    [tinyPy] change Avidemux.version() to .pyVersion(); autoincrement version on update.make

commit 4fff097e7dccdab407dd782eb04d10f18601530d
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 20:20:39 2023 +0200

    [tinyPy] regenerate files

commit fa74efc9343d6761133312ac591bb40c8249245e
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 20:19:57 2023 +0200

    [tinyPy] add constructor parameter names; fix pyAvidemux class name

commit 1190371693c867de11d1062efaeb874c7f584317
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 20:18:36 2023 +0200

    [cmake] admPyClass.pl add constructor to help; enable constructor parameter names

commit bff809c75924e52440288b1de5a4f2667806933a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jun 18 15:44:14 2023 +0200

    [alert_qt4] Implement confirmation dialog according to specs in DIA_coreToolkit.h

commit f241ad11bc5b8ebe73b12afe6525975b4ce75b95
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 14:42:12 2023 +0200

    [tinyPy] add pyDFText

commit d53f62b9b6e6f59f047fea467064c339317409a3
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 14:41:06 2023 +0200

    [cmake] admPyClass.pl enable string variables

commit fca625fca0dec3c09fd83ad259199eb011ab2a55
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jun 18 04:29:22 2023 +0200

    [tinyPy] add pyDFLabel

commit de6772ab136fcc22d92274e3b1b10bfa5811df19
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jun 17 15:16:46 2023 +0200

    [Q_encoding] Fix dialog doing the opposite of the option chosen by user

commit 44655ba570cf2216331b4c39ca5638271f3facc1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jun 17 15:11:06 2023 +0200

    [crashHook] Avoid crash loop resulting from automatic loading of crash file in silent mode

commit 06efdb4abb27c41ecd3a39af682be12c0de70d77
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Jun 17 15:07:07 2023 +0200

    [alert_none,alert_qt4] Allow caller to detect silent mode, fix GUI_Alternate() always returning zero at least with Qt 6.5.1, set default button in dialogs, improve debug messages

commit 9553bcdbe8d38356674be3fc2fac3a3c7947e6f8
Author: adam <szullo.adam@gmail.com>
Date:   Fri Jun 16 03:18:25 2023 +0200

    [tinypy] regenerate files

commit 9305fc42356fa8a178eabd3a19dcc9f7feb86476
Author: adam <szullo.adam@gmail.com>
Date:   Fri Jun 16 00:12:37 2023 +0200

    [tinyPy] add Avidemux.isFileOpen() method

commit fa9c19d6dc46ce033315b611531edf2ef8cf3187
Author: adam <szullo.adam@gmail.com>
Date:   Fri Jun 16 00:06:35 2023 +0200

    [tinyPy] add Avidemux.closeVideo() method

commit 6d5ca590535fce55189e50321ddf93faff656e48
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jun 15 23:59:55 2023 +0200

    [tinyPy] add Avidemux.version() method

commit c07df098a79bda48c4c318d14dd8af3c0f5650d5
Merge: a6b2c6772 5c975b60c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jun 15 15:45:57 2023 +0200

    Merge pull request #497 from szlldm/tinyhelp
    
    [tinyPy] help() improvements

commit 5c975b60ca17c0be7506b6e603362a74367ed6ed
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jun 15 01:12:07 2023 +0200

    [tinyPy] regenerate files

commit 93ccea4aa05db26a8f244ca6d392ad33ca0a20be
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jun 15 01:11:08 2023 +0200

    [tinyPy] add function argument names for better help

commit 30e590eaf8d09bf2572071211eaad8c9dcc906ab
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jun 15 01:09:58 2023 +0200

    [cmake] admPyClass.pl remove void function arguments from help output

commit e2c05d6a34a1be5f4fcf39b9a59b7496752fcdfd
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 23:18:46 2023 +0200

    [cmake] admPyClass.pl improve help readability

commit 944faa03cf5749ad7f938445a44207f6c3b47505
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 23:06:05 2023 +0200

    [cmake] admPyClass.pl enable function argument names in bindings for better help()

commit f15597c6755e42681d2e2047657a2275253c5be5
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 20:52:37 2023 +0200

    [tinyPy] regenerate files

commit 200882f614e845226ae4c33180118af23d71ddde
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 20:52:00 2023 +0200

    [cmake] admPyClass.pl add variables to help output

commit 76183770707a0300ee0fbb1ebcd50e8b74a72642
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 02:52:03 2023 +0200

    [tinyPy] hide 'os' in help() output, because 'os.help()' doesn't work

commit 9b19ccbb2c6abbdbf437dc4dc8e28e0647a11647
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 02:39:40 2023 +0200

    [tinyPy] regenerate files

commit a69731b2d4ddbf8eb3b29423dc538b864d4c1387
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 02:39:10 2023 +0200

    [cmake] admPyClass.pl add return types to help()

commit d0942a2ec5ad2d48add490578e850b40c9467dae
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 02:20:35 2023 +0200

    [tinyPy] regenerate files

commit 4f3e8c002274e05acf3957ee0836d5b4fd519759
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jun 14 02:19:44 2023 +0200

    [cmake] admPyClass.pl generate proper function parameters of help()

commit a6b2c6772389632c087c2bcc7a84b9d882d8723d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jun 13 22:52:48 2023 +0200

    [coreImageLoader] Let odd dimensions be in case of JPEG images as well
    
    Else we disagree with libavcodec and crash when duplicating decoded image.

commit 89c962aed18588e3e93a429ca57e55806cefe560
Merge: 60c92af7c a236a3ec3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Jun 12 09:07:43 2023 +0200

    Merge pull request #496 from szlldm/tinyxt
    
    Scripting shell & TinyPy improvements

commit a236a3ec33d598994a460c0633ed42a23da86557
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 20:42:21 2023 +0200

    [tinypy] add pyDFFloat input

commit a6fdd0a9addc899895df11ba82fbd0976696c8f5
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 20:11:48 2023 +0200

    [ADM_shell] fix output if user selected a subtext in it

commit 86cb1f1e5fb8e69730c519955c70fb1ee0e3e458
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 18:31:22 2023 +0200

    [tinyPy] regenerate autogenerated files

commit 4fb267033835a0081159917d738e67c5d815e44b
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 18:30:22 2023 +0200

    [cmake] fix admPyClass random order issue in getter and setter generators

commit bf3e41f2f18292f18f506d110d84588fec44c35a
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 15:46:15 2023 +0200

    [ADM_shell] don't evaluate empty input; prevent unnecessary error message

commit 4e892f2e63625b52c437cd5505e606bc1a188e48
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 14:24:20 2023 +0200

    [ADM_shell] enable ClickFocus on shell output, to enable selection and copy

commit b12e38c417df0adfb9b14b5ec740f486b9027757
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 14:20:57 2023 +0200

    [ADM_shell] set focus to input after Clear button click

commit 0c129049502b15b1822a8be6c4d8b26aed64129d
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 14:18:20 2023 +0200

    [ADM_shell] scroll shell output to the bottom on evaluate

commit 059514a6da2ce6aed104b11728ef6339c0d46f4d
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 14:04:37 2023 +0200

    [tinyPy] improve help readability

commit 52f65deef84b63dac0bf4138ef9b0017fba6c038
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 14:03:09 2023 +0200

    [ADM_shell] add newline after command echo for readability

commit c1b6cd47aac24fb3d5b1c11b52312b95928d7b43
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Jun 10 12:52:11 2023 +0200

    [ADM_shell] extend welcome text

commit 60c92af7c7f721b4e4ad58fb5f655acad87d911b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Jun 9 01:23:09 2023 +0200

    [core,Q_encoding] Add option to suspend computer when encoding is finished, Windows-only

commit b200d8782d753eb20be75572ea0c0a07c86ab1a0
Merge: 8d3a2923b f5c2e26b0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jun 7 00:23:57 2023 +0200

    Merge pull request #495 from szlldm/tinyfix
    
    [tinyPy] fix autogenerate

commit f5c2e26b020e5ce70fa1280434e2f57197db016d
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jun 6 22:36:40 2023 +0200

    [tinyPy] regenerate autogenerated files

commit 1b9ef78f53342d4adfd1a1b21d29d7908197e306
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jun 6 22:33:22 2023 +0200

    [tinyPy] fix adm.admPyClass binding

commit 69105932dec50d9aa3569a98879717895495094b
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jun 6 22:32:00 2023 +0200

    [tinyPy] fix autogenerate script

commit 07331957aa1bdc48172e4ba44b998fc31bc5ef37
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jun 6 22:29:40 2023 +0200

    [cmake] fix admPyClass generator's random order issue, generate consistent tinyPy bidings

commit 8d3a2923b3f7c31ca6faf7be50dcf5935dc03e71
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jun 1 21:39:49 2023 +0200

    Backout the last pointless patch
    
    This reverts commit c8a2133b249a679e6f6fe54011253b5c343900ba.

commit c8a2133b249a679e6f6fe54011253b5c343900ba
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jun 1 17:38:20 2023 +0200

    [audioEncoders/lavcodec] Write configuration to project script
    
    This fixes bitrate always reverting to default when encoding via job queue.
    Code copied from the lame plugin.

commit 4fcbdf291256311a31a951c0b906297ae20aff48
Merge: a2459d13c fdfd78299
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jun 1 16:28:07 2023 +0200

    Merge pull request #494 from szlldm/grain
    
    [videoFilter] New filter: Grain

commit fdfd78299ab23cf5f3786c060911f3612e374f20
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jun 1 03:51:37 2023 +0200

    [grain/qt4/] fix code

commit 9b308c93ef4175720b22a802c139bb23dbe915d1
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jun 1 03:49:16 2023 +0200

    [videoFilter] New filter: Grain

commit a2459d13c67d5f10f8cdaf78419f856c2e94b1fa
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 31 23:25:47 2023 +0200

    [muxerffTS] Use convenience macro to declare plugin, capitalize suggested filename extensions when env var ADM_TS_MUXER_EXT_ALL_CAPS is set

commit 2d8da8931c3bd76bddbe5636fafd058cfa77b730
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 31 23:17:59 2023 +0200

    [coreMuxer] Add convenience macro to declare muxer plugins able to change suggested filename extension

commit 3870d60d3aaf7cef3fabdf72cc5cebb0f2a55a76
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 31 00:20:15 2023 +0200

    [muxerffTS] Suggest m2ts as default filename extension when in M2TS mode

commit dcadfce768ae7ed2327a47d49c09c2687c76330e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 31 00:16:48 2023 +0200

    [coreMuxer,tinyPy] Prepare configurable default filename extensions

commit bd177b8a787d4520ee63d50615766d2d143b1dd9
Merge: 90d5a63fe 138092dcf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 17 23:31:37 2023 +0200

    Merge branch 'ffmpeg6x'

commit 90d5a63fe4709861e6b15f6cc714ca0a655e5c90
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed May 17 23:24:28 2023 +0200

    [libva] Try to fix libva display broken with current libva versions
    
    Requires libva >= 2.18.0 to work.

commit 138092dcfa8e7c8f3700dff88425344fb1fb78b3
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat May 13 00:14:19 2023 +0200

    [ffmpeg/patches] Update patches to apply without offsets

commit e8e966c54141b5052b73f3aab54ed1b8ee816c6d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat May 13 00:10:47 2023 +0200

    [ffmpeg,cmake] Update bundled FFmpeg and Avidemux patches to 6.0 release, drop upstream patch

commit 520b17a7c6b21ed75d5ff3b8676f0c4c5bb48219
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 26 23:19:38 2023 +0200

    [Qt/thumbSlider] Silence deprecation warning with Qt6

commit 1b9cb58b3e0407fae87c1132f02cb234fbfe151c
Merge: 18ab911db ed37d3353
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Apr 26 23:00:42 2023 +0200

    Merge pull request #491 from szlldm/jogfix
    
    [T_thumbSlider] fix issue "doesn't get the focus on the first mouse click"

commit ed37d335390e0580b5e85721cb2463b52de24772
Author: adam <szullo.adam@gmail.com>
Date:   Tue Apr 25 23:25:49 2023 +0200

    [T_thumbSlider] fix issue "doesn't get the focus on the first mouse click"

commit 18ab911dbe135b6a0d79bc9d21ba801f68ae273e
Merge: a1d83b2b4 43d0db5ef
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Apr 10 20:44:26 2023 +0200

    Merge pull request #489 from szlldm/sb_contd2
    
    Statusbar continuance

commit 43d0db5efc218bfa3e6fe161bd804b34873224c1
Author: adam <szullo.adam@gmail.com>
Date:   Thu Apr 6 00:57:53 2023 +0200

    [GUI] make statusbar notification easier to notice by flashing on entry

commit 0e46d72e98064f3ffc0a75b7213d75a29b042144
Author: adam <szullo.adam@gmail.com>
Date:   Thu Apr 6 00:46:12 2023 +0200

    [GUI] handle statusbar notifications by timer; show small icon before notification

commit 3a845f3f7ff94df312033ce100839406e72b890f
Author: adam <szullo.adam@gmail.com>
Date:   Wed Apr 5 20:55:33 2023 +0200

    [gui_navigate] notify frame navigation errors

commit a1d83b2b4f08fd93c72df87c113d87b32b19b515
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Apr 3 22:00:07 2023 +0200

    [coreMuxerFfmpeg] Remove assert on unsupported bits per sample value for a PCM audio track, improve debug message

commit c5ace7fe3e017622efe7458c02c67358fb6c389e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Apr 1 01:55:06 2023 +0200

    [Q_gui2] Add status bar prior to showing the window to fix maximized state not restored when status bar is enabled with Qt6

commit f8eeb98c4c3025b25020a4534ec93936597b2949
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Mar 31 23:24:08 2023 +0200

    [Q_gui2] Take status bar height into account when calculating the size of area available for video

commit cf7e46ba3e2f8e2c7c8f2dc53be09a2c3ce963f5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Mar 30 00:41:27 2023 +0200

    [Qt/gui] Fix build with Qt6

commit a647b66a70f96b6925064203b78b15f9b28e3d24
Merge: dff77a178 b8cd6c5d6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Mar 30 00:31:23 2023 +0200

    Merge pull request #486 from szlldm/sb_contd
    
    Statusbar continuance

commit dff77a178fb184ad6d3aea7cae4bb3135ca73360
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 29 01:48:24 2023 +0200

    [coreVideoCodec] Update width and height of output from received AVFrame to crash safely if they change on the fly

commit b8cd6c5d6a50981286d1bbac992b5b66410752da
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Mar 24 16:13:45 2023 +0100

    [GUI] add notification sound resource

commit b85124f86a147c823bf20eaf33565127833b2512
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Mar 24 15:10:37 2023 +0100

    [GUI] make status bar optional; store setting

commit 3cac420f2a5a5b917484e670658610125ffd55ee
Author: Adam <szullo.adam@gmail.com>
Date:   Fri Mar 24 14:05:54 2023 +0100

    [GUI/statusbar] add statusbar remove method

commit 41135501e50afb56b0d8325e7ee2fcac11a32fee
Author: adam <szullo.adam@gmail.com>
Date:   Fri Mar 24 02:26:24 2023 +0100

    [GUI] remove "Video decoder" group from codec options widget

commit 08b912e38495cde1557d38216ef5341357c99709
Author: adam <szullo.adam@gmail.com>
Date:   Fri Mar 24 02:04:31 2023 +0100

    [GUI] remove zoom indicator on the toolbar

commit 3b16998015af9afb23d9f71e987a270c015ec497
Merge: d286d3b38 678fdf1d0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 22 23:36:46 2023 +0100

    Merge pull request #484 from szlldm/statusbar
    
    [GUI] add status bar

commit 678fdf1d0fad0df584e1293f6f57f3daa4e5b8b5
Author: adam <szullo.adam@gmail.com>
Date:   Wed Mar 22 00:36:50 2023 +0100

    [GUI/statusbar] replace dirty spacers with margin

commit d09dd3e9a635be428568ad9ce44b0fb6c80085d5
Author: Adam <szullo.adam@gmail.com>
Date:   Tue Mar 21 12:31:26 2023 +0100

    [GUI/statusbar] add spacer; prevent permanent notification

commit d951a02c467bbac2151e76eb6fe841b4171edeb4
Author: Adam <szullo.adam@gmail.com>
Date:   Tue Mar 21 11:58:21 2023 +0100

    [GUI] remove status tip from play button

commit e7e8364f50f10f6da80dd62a1995cccc76ae34de
Author: Adam <szullo.adam@gmail.com>
Date:   Tue Mar 21 11:30:51 2023 +0100

    [GUI/statusbar] remove formatting; fix variable intialization

commit 7f210733ca00f93b11ad39ea0196271b6bfab5f8
Author: Adam <szullo.adam@gmail.com>
Date:   Mon Mar 20 18:49:47 2023 +0100

    [gui_navigate] use status bar notification to indicate keyframe navigation errors

commit f1b56a14f2ec376e9a17a49a106eda924a6b1428
Author: Adam <szullo.adam@gmail.com>
Date:   Mon Mar 20 18:40:00 2023 +0100

    [GUI] add status bar

commit d286d3b382a2027434fd8a87094ba89975c2d415
Merge: 4c3442e62 65878cb39
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Mar 15 23:26:48 2023 +0100

    Merge pull request #481 from listout/master
    
    Fix building with clang 16

commit 4c3442e629bc4532b41bfde9ec628a267f3b54cd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Mar 14 01:58:29 2023 +0100

    [ffmpeg/patches] Replace upstream git master compilation fix for build against newest vulkan headers with the version from release/5.1 branch

commit 6714fb9241d2d1fc5448a7fd563e7a59d44f94f9
Merge: 010f27e75 54c13a6ee
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Mar 14 01:48:22 2023 +0100

    Merge pull request #482 from mehw/ffmpeg_libavutil_vulkan_fix
    
    [ffmpeg/patches] Add upstream patch to fix ffmpeg5x compilation

commit 54c13a6eeab734819e6cd3d963d988834e3ace5f
Author: Matthew White <mehw.is.me@inventati.org>
Date:   Sat Mar 11 23:51:03 2023 +0000

    [ffmpeg/patches] Add upstream patch to fix ffmpeg5x compilation
    
    https://trac.ffmpeg.org/ticket/10115
    
    libavutil/hwcontext_vulkan.c:367:7: error: 'VK_EXT_VIDEO_DECODE_H264_EXTENSION_NAME' undeclared here (not in a function); did you mean 'VK_EXT_VIDEO_ENCODE_H264_EXTENSION_NAME'?
      367 |     { VK_EXT_VIDEO_DECODE_H264_EXTENSION_NAME,                FF_VK_EXT_NO_FLAG                },
          |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
          |       VK_EXT_VIDEO_ENCODE_H264_EXTENSION_NAME
    libavutil/hwcontext_vulkan.c:368:7: error: 'VK_EXT_VIDEO_DECODE_H265_EXTENSION_NAME' undeclared here (not in a function); did you mean 'VK_EXT_VIDEO_ENCODE_H265_EXTENSION_NAME'?
      368 |     { VK_EXT_VIDEO_DECODE_H265_EXTENSION_NAME,                FF_VK_EXT_NO_FLAG                },
          |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
          |       VK_EXT_VIDEO_ENCODE_H265_EXTENSION_NAM

commit 010f27e75fa09dcff878857daa1a778003eb7d58
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Mar 12 23:00:52 2023 +0100

    [x265/qt] Fix bit depth combobox not disabled in simple mode
    
    This was a regression from dd593fed76f16ed0381d11f9505beb55df9b1365.

commit e3824d2a1140109ad7036e2b8eecbe734f7e7dbd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 11 23:05:22 2023 +0100

    [eq2] Invert histogram color when in dark mode

commit e16f2fe1ca3b6eba263a5c63b39beb95f51b3303
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 11 23:04:38 2023 +0100

    [contrast] Invert histogram color when in dark mode

commit 5478abb3684f1e479987c839927ce0b3e87e850d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 11 23:02:46 2023 +0100

    [flyDialog] Track dark mode at dialog construction time, remove previous convoluted approach to histogram visibility

commit ff32926420a50d41850410709558cdd30b7194f6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 11 18:06:56 2023 +0100

    [eq2] Improve contrast of the histogram with dark theme

commit 030f670575dbac9abc6e28e2889892ed5b8c7404
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 11 18:06:24 2023 +0100

    [contrast] Improve contrast of the histogram with dark theme

commit f13cb60fd4f09f700ec2235bae53d3ae42195560
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 11 18:04:32 2023 +0100

    [flyDialog] Add function which can be used to improve legibility of histogram with dark theme

commit 24ccc7b56833c4c61f267847553aa09450c53442
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Mar 9 18:25:05 2023 +0100

    [coreLibVA] Mimic libavutil regarding surface attributes when creating hw surfaces + minor code cosmetics

commit 65878cb39f3d9a2e51cb248cdab9724824f80558
Author: listout <listout@protonmail.com>
Date:   Tue Mar 7 13:27:46 2023 +0530

    Fix Fixes non-constant-expression cannot be narrowed from type 'uint32_t' error with clang-16
    
    Clang 16 (to be released appx. March 2023) will make the following default errors:
    -Werror=implicit-function-declaration
    -Werror=implicit-int
    -Werror=int-conversion (this is in Clang 15, actually)
    -Werror=incompatible-function-pointer-types (GCC does not have a specific equivalent error, use -Werror=incompatible-pointer-types instead when testing)
    
    Building with Clang-16 results in build failure with
    non-constant-expression cannot be narrowed from type 'uint32_t' error
    with clang-16. Following what the compiler suggests, adding a
    static_cast<int> helps suppress the error.
    
    Signed-off-by: listout <brahmajit.xyz@gmail.com>

commit c25fe0366ab6fd04eb938ac45c7275ea28dbfb43
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Mar 4 00:52:42 2023 +0100

    [build] Fix build with Qt6 on Fedora, broken by an unidentified update

commit 6f65728b3185daddb3502cac7023cd2c5d5762e1
Author: Adam <szullo.adam@gmail.com>
Date:   Thu Mar 2 13:54:22 2023 +0100

    [GUI] use less confusing cursor to indicate busy state

commit 04def26f95edd971001792b51d3d9d78e3b08fb9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Feb 28 00:35:54 2023 +0100

    [i18n] Update submodule

commit bcba89f7a9ab19d01a1021464d467661c14ee42b
Merge: 3bff2b2df 686085346
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 27 16:41:56 2023 +0100

    Merge pull request #479 from szlldm/ai_plnet
    
    [aiEnhance] add "PL3NET" network

commit 3bff2b2df0f3c93628daa6d9b5aca4f9b130146e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 27 01:22:40 2023 +0100

    [videotoolbox] Fix catastrophic memleak in delayed sw frames allocation, introduced by 15cc7ed, oops

commit 686085346e2db23f2dde4e1900127014b9e170dd
Author: adam <szullo.adam@gmail.com>
Date:   Sat Feb 25 22:26:37 2023 +0100

    [aiEnhance] add "PL3NET" network

commit 2f73aba2973ee84e027a58cd32b5ca91c742c71f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Feb 14 00:18:17 2023 +0100

    [demuxers/MpegTS] Initialize tsPacket, clarify debug messages

commit 7186a874c2ec8d2069a961acd0f176f0d45ddccb
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 12 02:05:03 2023 +0100

    [decoderFFSimple] Fix codec_tag in AVCodecContext not set appropriately
    
    This regression from 3fb6ed2 has broken a number of decoders which require
    FourCC to work.

commit 44b423c5f61b74cb4bd9268dd285316e0162f34b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 12 01:25:44 2023 +0100

    [cmake] Fix NVENC-based encoders not enabled in bundled libavcodec on Windows, do not mark as unredistributable

commit 8be6ab62f02200c5a7b984d02fbbd4f0751ae4b6
Merge: c6c5113a1 a972c0de6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Feb 9 23:39:25 2023 +0100

    Merge pull request #478 from szlldm/ai_alloca
    
    [aiEnhance/NeuronSW] use alloca for VLA

commit a972c0de6549932bb4cd9057b466f424985f29e3
Author: adam <szullo.adam@gmail.com>
Date:   Thu Feb 9 23:22:08 2023 +0100

    [aiEnhance/NeuronSW] use alloca for VLA

commit c6c5113a1fb1d7b73e65acf5b46db4d8be3bcfa2
Merge: 870b5ee17 b8f254b6d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Feb 8 22:48:46 2023 +0100

    Merge pull request #477 from szlldm/xvinit
    
    [GUI_xvRender] initialize to black

commit b8f254b6dd4bd77c71e4b6163656460a99d0d78a
Author: adam <szullo.adam@gmail.com>
Date:   Wed Feb 8 00:41:18 2023 +0100

    [GUI_xvRender] initialize to black
    this prevent green flash on video loading

commit 870b5ee172ed70cab8db01c56216c7e82181f14a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Feb 7 22:38:22 2023 +0100

    [cmake] Silence tar when extracting FFmpeg tarball during non-debug build

commit 1c753aaf34f2c501821298bae910965eb82763f6
Merge: e6a5c001c 61f32f43d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Feb 7 22:07:27 2023 +0100

    Merge pull request #476 from szlldm/istb_pad
    
    [imageStab] option for padding; improve UI

commit e6a5c001cfacac45c430444b9b864aecb374ae68
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Feb 7 01:00:16 2023 +0100

    [editor/segment] Improve debug messages to report which frame has the DTS to PTS delta we try to compensate in some broken videos

commit 85fab80c64a492db2bb8b3801e0e0a2add40cae8
Merge: 87fc145ec 579c28ebd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 6 23:54:55 2023 +0100

    Merge pull request #475 from szlldm/ai_avx
    
    [aiEnhance] refactor; AVX + FMA

commit 87fc145ec42f74628e38932758752f860021b90a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Feb 6 00:17:07 2023 +0100

    [ffmpeg/patches] Disable hwcontext_vaapi patch, it breaks VA-API encoders, oops

commit 583e5168c7b1b76decd149973727fe455ce54502
Merge: ac6f21cae 2cb3e48a5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 5 23:14:59 2023 +0100

    Merge branch 'ffmpeg5x'

commit 2cb3e48a5126e97475219fe8bf0b8f7f40e4083a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 5 22:58:02 2023 +0100

    [ffmpeg/patches] Try to stop libavutil leaking VA-API hw surfaces

commit 9034a9763c41f878647032e0a85dabf18f5a71b1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Feb 5 22:42:36 2023 +0100

    [coreLibVA] Clear up debug messages a little bit

commit 579c28ebd7190fe2089b350a6086a74b00777c31
Author: adam <szullo.adam@gmail.com>
Date:   Sun Feb 5 01:27:02 2023 +0100

    [aiEnhance] prefer AVX on Intel cpus

commit 9624d183ab3f771109acf219ebef61daf3f8f716
Author: adam <szullo.adam@gmail.com>
Date:   Sun Feb 5 01:03:55 2023 +0100

    [ADM_cpuCap] getters for Intel and AMD cpus

commit 42f8b15000b090265e921b6dbe9a1eb816c4ed1f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 4 03:28:48 2023 +0100

    [videoCodec/libva] Fix crash on loading a video with resolution exceeding supported by hw decoder, fix memleak

commit 08fb24e6d287116851851f6ff23c94f9aa16fdfd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Feb 4 03:20:44 2023 +0100

    [coreLibVA] Query hw decoder width and height constraints

commit 61f32f43d81409a64337ed901138fd6933b747a9
Author: adam <szullo.adam@gmail.com>
Date:   Fri Feb 3 04:08:32 2023 +0100

    [imageStab] option for padding; improve UI

commit ac6f21cae999b7561c427bc8129c3672dd1aad24
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Feb 3 00:39:35 2023 +0100

    [Q_gui2] Overwrite proposed drop action with a safe one
    
    At least Windows Explorer will try to delete files dropped onto Avidemux
    window while the Shift modifier is pressed and partially succeed if there
    are multiple files. Overwrite potentially destructive drop actions with
    the only action we handle, which is Qt::CopyAction.

commit 37b5b08eddd6ff4f30c5c69001ad5794b23104c5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Feb 2 22:01:20 2023 +0100

    [editor] Try to seek to keyframe again if the first attempt fails, give up immediately if decoder doesn't indicate that it expects more input (very risky)
    
    Specifically on macOS, hw decoder may fail late when fed with compressed
    video streams it doesn't like. In this case we need to retry, hoping that
    the hw decoder has been destroyed and blacklisted by now.

commit 15cc7edbc76bd21eccc8c89353e879993444f91d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Feb 2 21:57:10 2023 +0100

    [videotoolbox] Fix memleak, bail out on hw decoder failure, allocate frames to store decoded pictures on demand only

commit 3fb6ed2baf15bb10ea97efe07c373a0c37c2df95
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Feb 2 21:34:22 2023 +0100

    [coreVideoCodec] Tear down codec context on hw decoder failure, factorize code

commit cf47c312446065d3d692a88a68715378ea43b591
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Jan 19 02:08:40 2023 +0100

    [editor] Fix memleak on failure of demuxer to open video or when cancelled by user

commit 41a37f181658e80e293a4fe9aceb7bec8a9ee142
Author: adam <szullo.adam@gmail.com>
Date:   Thu Jan 19 00:21:04 2023 +0100

    [aiEnhance] refactor; AVX + FMA

commit 9b0cfaa8c35422971b92dc0cbf8eb828ca5af6b4
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jan 17 18:29:57 2023 +0100

    [ADM_cpuSIMD] refine header

commit 2db0dfd6ef38fcb96129df9b675de17c02fcb8e5
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jan 17 18:24:07 2023 +0100

    [DIA_prefs] add FMA3 CPU option

commit 00b1193c4de06f3dcd5cf1bc6c8affcc135f38ad
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jan 17 18:23:31 2023 +0100

    [ADM_cpuCap] add FMA3 flag

commit e56094e917a72072d168d4f91191a9ff184c165f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 17 00:53:02 2023 +0100

    [i18n] Update submodule

commit 05d7b86f8f5b30fc8993e5209cb9165cc9928078
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 17 00:22:16 2023 +0100

    [videotoolbox] Let parent sw decoder blacklist VideoToolbox in case of possible hwaccel initialization failure

commit 06b5c51b3791856aede580f18ad2572547313205
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 17 00:05:19 2023 +0100

    [coreVideoCodec] Try to recover from hwaccel initialization failure

commit b90b6521f32321803872a0810480c5f92ab63b35
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 15 23:14:23 2023 +0100

    [videoCodec,coreVideoCodec,cmake] Let FFmpeg manage all VideoToolbox stuff internally, claim support for VP9

commit 401d7e8780674075d7edb3b0c3849c9a634fff68
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jan 11 00:18:45 2023 +0100

    [i18n] Update submodule

commit ae472808d5d08008381e786b0b259c0d7e2bce76
Merge: 316ea898b dcff42a53
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 10 22:48:49 2023 +0100

    Merge pull request #474 from szlldm/ai_xt
    
    [aiEnhance] store network parameters as int16; add fast x2 upscaler with denoising

commit 316ea898b4f062735fcd6f2e6d368a1b115e45b6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 10 22:46:12 2023 +0100

    [demuxers/Matroska] Subtract bytes occupied by container structures from frame size

commit dcff42a53d212bddf83496a1d40b031a57d4e10a
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jan 10 22:24:16 2023 +0100

    [aiEnhance] store network parameters as int16; add fast x2 upscaler with denoising

commit 91a64c182e7214df5b3f731031d170b5b365fd75
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Jan 8 22:13:38 2023 +0100

    [videoCodec/dxva2] Fix build with FFmpeg 5.x

commit 2b029b4e12c49c6c8bf24f6f870da75b08894f2a
Merge: a8657bd02 8807ce523
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Jan 4 23:52:12 2023 +0100

    Merge pull request #473 from szlldm/aie_typo
    
    [aiEnhance] fix typo

commit 8807ce5230ca3cb7707234377c4af21a47e662bd
Author: adam <szullo.adam@gmail.com>
Date:   Wed Jan 4 22:26:36 2023 +0100

    [aiEnhance] fix typo

commit a8657bd02989baa9fcfe5c174b677f20a28974d4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 3 19:22:26 2023 +0100

    Update rank in AUTHORS

commit 772cf689d202ff1ec18357ad745e40eb508dbc76
Merge: a940cd6e0 e8ef171de
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 3 19:11:57 2023 +0100

    Merge pull request #472 from ferdnyc/no-edit-cmd
    
    [cmake] Don't set CMAKE_EDIT_COMMAND

commit a940cd6e04c2aa3c44b27a0aaa392c20dad35be0
Merge: 606365822 0b66daceb
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Jan 3 19:01:32 2023 +0100

    Merge pull request #470 from szlldm/sad_w_intrin
    
    [resampleFps/motin] & [imageStab/motest] use SIMD intrinsics

commit 0b66daceb6686e987a123054b83109825b9aa70b
Author: adam <szullo.adam@gmail.com>
Date:   Tue Jan 3 17:05:28 2023 +0100

    [motest][motin] fix build with older GCC

commit e8ef171decd548a535893fcaddb59030b0724c7d
Author: FeRD (Frank Dana) <ferdnyc@gmail.com>
Date:   Mon Jan 2 19:03:38 2023 -0500

    [cmake] Don't set CMAKE_EDIT_COMMAND
    
    CMAKE_EDIT_COMMAND is mean to be an internal variable, used only
    for implementing the 'make edit_cache' target of Makefile
    Generators. It's supposed to contain the path to a CMake editor
    like ccmake or cmake-gui, and will be called with arguments not
    accepted by vim, mcedit, or any other generic editor.
    
    https://cmake.org/cmake/help/latest/variable/CMAKE_EDIT_COMMAND.html
    Signed-off-by: FeRD (Frank Dana) <ferdnyc@gmail.com>

commit d48bfed788e5e4276780bba71769a0010465c06f
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jan 1 22:06:55 2023 +0100

    [imageStab/motest] use SIMD intrinsics

commit ed7f1e3e8859b8f9cab6ab3fd1e625c327b44725
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jan 1 22:06:42 2023 +0100

    [resampleFps/motin] use SIMD intrinsics

commit d03f15b6c26ce705f582101a61215d070ef6053e
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jan 1 16:43:29 2023 +0100

    [aiEnhance] use ADM_cpuSIMD

commit 2ef362a3e47b7da32dfea5813eb324991d056dd2
Author: adam <szullo.adam@gmail.com>
Date:   Sun Jan 1 16:43:01 2023 +0100

    [core] CPU SIMD + sse2neon

commit 6063658223e843e4ee559dac090ea8b1bd20923f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Dec 29 08:16:30 2022 +0100

    [i18n] Update submodule

commit cb31334855e93d9fed0f842dec99e7200051f62b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Dec 29 01:01:58 2022 +0100

    [demuxers/Mp4] Factorize, safeguard against reading past array end, remove some asserts where we can fail safely

commit 108a74b8f28b1ee4602fea560240427d71ab77f1
Merge: f9e744333 0d078fd3e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Dec 28 10:50:12 2022 +0100

    Merge pull request #468 from ferdnyc/rev-parsing
    
    CMake: Ensure git rev SHAs aren't abbreviated

commit 0d078fd3e17fc9ed1e1005150865182e447fc5ba
Author: FeRD (Frank Dana) <ferdnyc@gmail.com>
Date:   Wed Dec 28 03:09:23 2022 -0500

    CMake: Ensure git rev SHAs aren't abbreviated

commit f9e7443332136efd8a24bb996c4a3f47c7b238e1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Dec 26 23:59:12 2022 +0100

    [demuxers/Mp4] Fix AVC extradata parsing and beautify avcC dump

commit c6f3ca8f397dc15369dbb4d2aa59b074a9941539
Merge: 7301ffcbd 69d5b3598
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Dec 26 20:22:02 2022 +0100

    Merge pull request #467 from szlldm/fieldalign
    
    [videoFilter] New filter: Fields Align

commit 7301ffcbd202b6dc03b85101f30f1482752f378c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 25 23:54:02 2022 +0100

    [muxerMp4/Config] Fix format menu entry array, mutilated by f6f007dd7e629f2a8b69ef3bb484ccfb25c613f3

commit f324838e5c6f0619c3ed2436335eba0c66a4b25a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 25 23:33:25 2022 +0100

    [muxerGate] Improve debug message

commit e5efe70960255b261947e18c15046a8cf8a84d4b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 25 23:30:02 2022 +0100

    [editor] Handle broken videos with DTS being uniformly delayed past PTS and some DTS missing

commit c95cfff871eab1e50394bbcfd515d390881c62ae
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 25 02:54:13 2022 +0100

    [demuxers/Matroska] Try to update video codec parameters cache from in-band SPS if we failed to extract SPS from H.264 extradata

commit 69d5b3598ab1c67ac809c00eb6e4c563acf4ba5b
Author: Adam <szullo.adam@gmail.com>
Date:   Sat Dec 24 01:48:38 2022 +0100

    [videoFilter] New filter: Fields Align

commit 58ad59dadaa0a5841d6fc8055306b0f3305bbc38
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Dec 23 22:21:58 2022 +0100

    [cmake,coreMuxer,muxerMp4] Set rotation by means of displaymatrix side data, the path via rotate metadata is no more

commit 8fcc14fd18c3635f8f31562a093a09eb30e95020
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Dec 23 01:38:39 2022 +0100

    [videoCodec/libva] Create hw context only for supported VA-API profiles, try to fix VP9 decoding

commit 9adee3dc9f566752f4b5243e66983b5a73613c2a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Dec 23 01:22:46 2022 +0100

    [coreLibVA] Try to fix VP9 decoding by creating surfaces with NV12 as pixel format

commit 7ca8be08c5dbe4f3e41136fd5208ed72eb3192a2
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Dec 16 23:12:35 2022 +0100

    [file_qt4] Fix filename collision detection, broken on Windows
    
    Qt uses forward slashes as directory separators on Windows as well, but
    the path to the last read file (i.e. to the currently loaded file) may be
    stored with backslashes. In this case we failed to detect name collision and
    didn't automatically append _edit to the basename.
    
    Canonicalize paths before comparing to make filename collision detection
    more robust.

commit dff9dd57c7728072fe25d2b07389027f714e98c8
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Dec 8 01:49:11 2022 +0100

    [Qt6] Work around crash on accepting or rejecting filter preview dialogs, introduced by Qt 6.3.0

commit fa911a8e4179ba2614a03c1ba3ba0a18a2fd182c
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Dec 4 21:03:55 2022 +0100

    [automation] Update video duration upon running a project script from command line too

commit 3f6a2e9acb0adbab0db05f57e6895d19b90ebf24
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 29 22:32:34 2022 +0100

    [coreLibVA] Probe indirect transfer too, require VAImage supporting YV12 for now

commit b338baece65bc70f26a32a48e6baa09484bbc68e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 28 23:43:02 2022 +0100

    [coreLibVA] Specify pixel format via surface attributes when creating VA surfaces

commit 6aaa49b2cd101e9049d2021eabd962bed1bc6603
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 27 23:37:24 2022 +0100

    [aiEnhance/qt4] Improve encapsulation

commit 463e56c2cffe3f2393272765c9a7a5a8748a7477
Merge: 39214889f acfbbc784
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 27 23:21:55 2022 +0100

    Merge pull request #461 from szlldm/ai_enhance
    
    [videoFilter] New filter: A.I. Enhance (sw)

commit 39214889f82cf1169b5d3dd1a9a04d2ca6ec7f81
Merge: 75880397d 425e0a35b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Nov 27 15:29:26 2022 +0100

    Merge pull request #465 from szlldm/x264_10
    
    [x264] make high10 functional

commit 425e0a35b477cdbf6882417c8a523c94fd23dea4
Author: adam <szullo.adam@gmail.com>
Date:   Sun Nov 27 15:12:50 2022 +0100

    [x264] use X264_BUILD version threshold to enable/disable high10 mode;
    disable ineffective high422 & high444 profiles in config GUI

commit dc17648685fe1780824349ef48bd016d42e6a20b
Author: adam <szullo.adam@gmail.com>
Date:   Sun Nov 27 15:12:24 2022 +0100

    [cmake] unbump minimum x264 version

commit 1e955270a9d14204438f15dba89935ec7456f221
Author: adam <szullo.adam@gmail.com>
Date:   Sat Nov 26 19:08:25 2022 +0100

    [x264] refactor 10bit mode

commit 75880397d267c051ad54dc291f93ff94a01ab048
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Nov 26 16:37:10 2022 +0100

    [core] Fix path canonicalization on Windows
    
    This fixes a regression from a59f6fdd9e39011030017c18b5d1f211e58be597.

commit 0e2d553bc16e8cdbac000ea7597f26f3a60f0eec
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Nov 25 02:00:01 2022 +0100

    [libva,cmake] Start migration to the new libavcodec hwaccel API
    
    Some major parts are apparently still missing, VP9 and 10-bit HEVC trigger
    an immediate segfault. H.264 and 8-bit HEVC seem to work.

commit 6f338231f146eb117cb91d29a4e147c6a9e23dcf
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Nov 23 00:06:22 2022 +0100

    [coreSqlLight3] Fix linking on Linux

commit d96db83825ab075cf0c8aee9406e6b9cdf03ac45
Author: adam <szullo.adam@gmail.com>
Date:   Tue Nov 22 00:46:26 2022 +0100

    [x264] make high10 functional

commit edd0dd2aaa17b57f0d46a1f76e8bee1888831b5c
Author: adam <szullo.adam@gmail.com>
Date:   Tue Nov 22 00:03:56 2022 +0100

    [cmake] bump minimum x264 version

commit aa3205f902cd6e9217d782aaf141ef62dac917a5
Author: adam <szullo.adam@gmail.com>
Date:   Tue Nov 22 00:02:46 2022 +0100

    [x264] bugfix + add missing case

commit 39056be47895e9f195f951c2559a9d08c9b28243
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Nov 17 23:08:03 2022 +0100

    [hwAccel/VideoToolbox] Do not even try to use the old hwaccel API
    
    We have to convert from NV12 now, but at least we don't crash.

commit acfbbc7841f335da88e2fc04e6e6dc2101150f44
Author: Adam <szullo.adam@gmail.com>
Date:   Wed Nov 16 16:40:07 2022 +0100

    [aiEnhance] reduce code duplication + performance improvement

commit e94c73123a2466360f38ca408798a92c1d329ed3
Merge: c743c3273 5d3c662ca
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 15 13:47:02 2022 +0100

    Merge pull request #464 from szlldm/stridefix
    
    fix issue caused by different output stride

commit 5d3c662ca6e6ab7759d1606eaca8ef91b2857309
Author: Adam <szullo.adam@gmail.com>
Date:   Tue Nov 15 12:47:01 2022 +0100

    [imageStab/motest] fix possible out-of-frame readings

commit 135aa8405e01af3214b8027fca40cad178eb11f4
Author: Adam <szullo.adam@gmail.com>
Date:   Tue Nov 15 12:42:29 2022 +0100

    [quadTrans] fix issue caused by different output stride

commit a2ce8007e6637397d5768cca69b2a26e853326e0
Author: Adam <szullo.adam@gmail.com>
Date:   Tue Nov 15 12:41:18 2022 +0100

    [imageStab] fix issue caused by different output stride

commit c743c3273328faf32a8e4166f87b3c00965a951b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Nov 12 03:31:08 2022 +0100

    [i18n] Update submodule

commit 5bb8e7678cdb68aa669784e767d6bb00e45eb3d1
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Nov 12 03:30:07 2022 +0100

    [coreAudio,coreAudioParser] Flag E-AC3 frame followed by garbage data as damaged, discard it and try to resync to fix infinite loop

commit f2d7ff3d6a76c17e54f9c99e53bbbaffd1df8322
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Nov 9 17:59:53 2022 +0100

    [coreVideoEncoderFFmpeg] Fix crash on failure to find a video encoder in bundled libavcodec

commit ac928356577a422a4d6f1c84490acef8b929f6e6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Wed Nov 9 17:53:40 2022 +0100

    [cmake] Fix NVENC-based encoders not enabled with FFmpeg 5.x during native build, remove redundant list of VDPAU-based decoders

commit ff393bc474cb5221aeb85c16aa2b28aaac083f38
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 8 00:19:03 2022 +0100

    [muxerffPS] Try to disentangle time base and average frame rate, fix build with FFmpeg 5.x

commit 88adc41f01f16ce0caa81dfcc08ab87a7217d359
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 8 00:16:00 2022 +0100

    [muxerMkv] Disentangle time base and average frame rate, fix build with FFmpeg 5.x

commit 9d58cb7326ce659975a92670d0d3253e510fe90a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 8 00:11:39 2022 +0100

    [muxerMp4] Fix build with FFmpeg 5.x

commit 9794dff68147b45dae5c0e6a639cecf7acbc4d94
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 8 00:10:23 2022 +0100

    [muxerFlv] Fix build with FFmpeg 5.x

commit eb651ed30acc4a84c0eebac3a25eb51218d74c19
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 8 00:08:55 2022 +0100

    [audioEncoders/lavcodec] Constify AVCodec to fix build with FFmpeg 5.x

commit d325cab6bfbbe925fc3aeb2d4694f010b57f36a5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Nov 8 00:03:03 2022 +0100

    [audioDecoders/lav] Constify AVCodec to fix build with FFmpeg 5.x, migrate to current AVPacket API

commit e180098228ffbd8c0d83fd6baadc392a7b9ecfb5
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 7 02:27:50 2022 +0100

    [muxerGate] Migrate to new bitstream filter API to fix build, entirely untested

commit 978549a06ffa87ee73d5c69d85bdd407d807daf6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Nov 7 02:18:42 2022 +0100

    [cmake] Install missing FFmpeg headers

commit ccbafaba4a71586a258dbe0b0388cf50283f1cfa
Author: adam <szullo.adam@gmail.com>
Date:   Sat Nov 5 19:55:03 2022 +0100

    [aiEnhance] add fastFSRCNN x2 algorithm; make it default

commit f55918e51009e7c648d4bc22f73813eb02d02122
Author: adam <szullo.adam@gmail.com>
Date:   Sat Nov 5 18:02:12 2022 +0100

    [aiEnhance/qt4] preview scale preference

commit 710889e9271046fafd2206fafdcb008fdc3a3edd
Author: adam <szullo.adam@gmail.com>
Date:   Sat Nov 5 17:17:45 2022 +0100

    [aiEnhance] refactor

commit ab0671fdca963e82013110e33d13a103aa814c9c
Author: Adam <szullo.adam@gmail.com>
Date:   Sun Oct 30 23:59:40 2022 +0100

    [videoFilter] New filter: A.I. Enhance (sw)

commit 0eb967ea9a8f3e21bd9e518eb8bbbd0ff3a9d1ca
Author: adam <szullo.adam@gmail.com>
Date:   Fri Oct 28 00:37:58 2022 +0200

    [ADM_flyDialog] allow input/output dimension mismatch (fixed ratio)

commit 9d31ad6f963bfa2ab9242aa0c1193d013611dacd
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 27 15:01:15 2022 +0200

    [coreSqlLight3] Fix linking on macOS

commit 7c29d009bcd7bb802458e91e2076dd7532c2c14a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 27 14:59:21 2022 +0200

    [core] Adapt code to compile with FFmpeg 5x, drop parts depending on deprecated FFmpeg functions and struct members which have been removed upstream

commit 5f13350442b1a386a5f9a4332934bf5a8e2a480e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 27 14:48:43 2022 +0200

    [cmake] Fix version extraction for bundled FFmpeg libraries

commit c24a0098b04330c639dde9843ae4935888bdbecb
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 27 14:45:39 2022 +0200

    [ffmpeg] Update bundled FFmpeg to release 5.1.2, remove obsolete patches, move problematic ones to attic for now

commit 5df9689fde6701d30f7b2dcfded145c70af035df
Merge: 0fd2f639c 59b44566d
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Oct 22 13:36:10 2022 +0200

    Merge pull request #459 from szlldm/fix_qslider
    
    [T_QSlider] fix uninitialized variables

commit 59b44566d648cf2bdaf7e8220dc4df3181140dcc
Author: adam <szullo.adam@gmail.com>
Date:   Sat Oct 22 13:15:06 2022 +0200

    [T_QSlider] fix uninitialized variables

commit 0fd2f639c233bbcd6415b76253c4076895cfe6fd
Merge: 21b0c0abb dd8da675e
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 21 23:54:51 2022 +0200

    Merge pull request #458 from szlldm/navslider_dark2
    
    [T_QSlider] use lighter blue for marker selection in dark themes

commit dd8da675e33f764a33872f5f66b30edb39ea68aa
Author: adam <szullo.adam@gmail.com>
Date:   Fri Oct 21 23:33:16 2022 +0200

    [T_QSlider] use lighter blue for marker selection in dark themes

commit 21b0c0abb1ed66cb9b0dbe77749c6c56ab672207
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 21 23:08:18 2022 +0200

    [T_QSlider] Fix build with Qt5, oops

commit 7ea2f7191fb8f9f02f0530052e0ceea8e3b759f0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 21 16:42:47 2022 +0200

    [ADM_mwNavSlider] Avoid constructing QPainter when we are not going to draw cut points

commit a63de14857e2decf38f644a673eb2d01d436a32b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Fri Oct 21 13:03:43 2022 +0200

    [Qt/slider] Deduplicate code, replace deprecated functions, improve encapsulation

commit 5e78bb1a17221ce76d91649c4a652d67ce2dcff9
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 18 00:27:41 2022 +0200

    [demuxers/Matroska] Take header repeat size into account when allocating buffer, reject tracks which use unsupported content encodings, try to continue parsing container if a track is rejected

commit 43eb00475827d8b5131cde740ae8b62b9e97c9f0
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 13 23:04:57 2022 +0200

    [muxerMp4] Set average frame rate to fix too short video track duration in the edit list

commit 3946881f61e8927b2139ef206d10bf80a1d82186
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 11 01:09:55 2022 +0200

    [coreVideoCodec,editor] Remove traces of an old unused hack

commit 939438f63ad3a345b3c99a8ab96c19628108d036
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 11 00:58:19 2022 +0200

    [editor,muxerGate] Start video copy from a clean state

commit a2c3108c97f3173bbcfa804fe5d71452c3e6ad7f
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 6 22:23:14 2022 +0200

    [demuxers/MpegTS] Add assert

commit 476b685c30591e42052bc00b3a2ee5e8eaf86c3a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Thu Oct 6 14:27:51 2022 +0200

    [demuxers/MpegTS] Allocate temporary buffer for video extradata on demand only
    
    The length of 64 for the fixed-size array on the stack may be insufficient
    for VC-1 extradata and the array is not used by any other indexer.

commit ddf107223c9c9feecde36d1d41776275c23602f4
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Tue Oct 4 02:22:04 2022 +0200

    [demuxers/MpegTS] Compare offsets instead of pointers

commit 1931951722915dac1bd3571315e2f95e289749e7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 3 12:46:14 2022 +0200

    [demuxers/MpegTS] Increase audio probe size to deal better with damaged files

commit 1715cdd0c8503f48cee2048fc45cd24bbe60251b
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Mon Oct 3 12:44:01 2022 +0200

    [demuxers/MpegTS] Add additional protection against overflow

commit de7f93e3bd8a3f29da3bc4e375c1634c67e58e9a
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sun Oct 2 01:47:48 2022 +0200

    [coreDemuxerMpeg,coreUtils] Fix memleaks probing for sequenced files

commit 588fb06f64d20f5c6c7201b572e9cc6f273b74d7
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Oct 1 23:29:16 2022 +0200

    [demuxers/MpegTS] Fix segfault extracting PSI payload spanning multiple TS packets upon checksum verfication failure, fix PSI payload size calculation

commit f6c991bea0613b9261720e3e29443d7957160fe6
Author: eumagga0x2a <eumagga0x2a@users.noreply.github.com>
Date:   Sat Oct 1 23:15:24 2022 +0200

    [cmake] Leave release mode, increment version
